Search.setIndex({"docnames": ["basics", "calculus/approximation", "calculus/differentiation", "calculus/index", "calculus/integration", "calculus/inverselaplace", "calculus/odes", "calculus/optimization", "calculus/polynomials", "calculus/sums_limits", "contexts", "functions/bessel", "functions/constants", "functions/elliptic", "functions/expintegrals", "functions/gamma", "functions/hyperbolic", "functions/hypergeometric", "functions/index", "functions/numtheory", "functions/orthogonal", "functions/powers", "functions/qfunctions", "functions/trigonometric", "functions/zeta", "general", "identification", "index", "matrices", "plotting", "references", "setup", "technical"], "filenames": ["basics.txt", "calculus/approximation.txt", "calculus/differentiation.txt", "calculus/index.txt", "calculus/integration.txt", "calculus/inverselaplace.txt", "calculus/odes.txt", "calculus/optimization.txt", "calculus/polynomials.txt", "calculus/sums_limits.txt", "contexts.txt", "functions/bessel.txt", "functions/constants.txt", "functions/elliptic.txt", "functions/expintegrals.txt", "functions/gamma.txt", "functions/hyperbolic.txt", "functions/hypergeometric.txt", "functions/index.txt", "functions/numtheory.txt", "functions/orthogonal.txt", "functions/powers.txt", "functions/qfunctions.txt", "functions/trigonometric.txt", "functions/zeta.txt", "general.txt", "identification.txt", "index.txt", "matrices.txt", "plotting.txt", "references.txt", "setup.txt", "technical.txt"], "titles": ["Basic usage", "Function approximation", "Differentiation", "Numerical calculus", "Numerical integration (quadrature)", "Numerical inverse Laplace transform", "Ordinary differential equations", "Root-finding and optimization", "Polynomials", "Sums, products, limits and extrapolation", "Contexts", "Bessel functions and related functions", "Mathematical constants", "Elliptic functions", "Exponential integrals and error functions", "Factorials and gamma functions", "Hyperbolic functions", "Hypergeometric functions", "Mathematical functions", "Number-theoretical, combinatorial and integer functions", "Orthogonal polynomials", "Powers and logarithms", "q-functions", "Trigonometric functions", "Zeta functions, L-series and polylogarithms", "Utility functions", "Number identification", "Welcome to mpmath\u2019s documentation!", "Matrices", "Plotting", "References", "Setting up mpmath", "Precision and representation issues"], "terms": {"In": [0, 4, 5, 6, 7, 8, 9, 11, 13, 15, 17, 19, 20, 21, 23, 24, 25, 26, 28, 31, 32], "interact": [0, 27, 31, 32], "code": [0, 4, 10, 25, 30, 32], "exampl": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30, 31, 32], "follow": [0, 2, 4, 5, 7, 8, 9, 10, 11, 13, 14, 15, 17, 20, 21, 22, 24, 25, 26, 29, 30, 31, 32], "assum": [0, 5, 13, 17, 19, 20, 23, 29, 32], "all": [0, 1, 4, 5, 6, 7, 8, 9, 10, 11, 14, 15, 17, 19, 20, 21, 23, 24, 25, 26, 31, 32], "item": [0, 15], "mpmath": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 32], "namespac": [0, 10], "have": [0, 1, 2, 4, 5, 7, 8, 9, 10, 11, 14, 15, 16, 20, 21, 23, 24, 25, 26, 31, 32], "been": [0, 2, 4, 5, 6, 9, 19, 25, 26], "import": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32], "from": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32], "everyth": [0, 31], "can": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 27, 28, 29, 30, 31, 32], "conveni": [0, 6, 9, 13, 17, 19, 21, 24, 25, 28], "especi": [0, 5, 7, 9, 31, 32], "when": [0, 1, 4, 5, 7, 9, 10, 11, 13, 14, 15, 17, 20, 21, 24, 25, 26, 32], "us": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 32], "care": [0, 1, 7, 9, 14, 20, 32], "mix": [0, 9], "other": [0, 4, 5, 6, 8, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 24, 25, 26, 32], "librari": [0, 5, 27, 28, 30, 31, 32], "To": [0, 4, 6, 10, 13, 21, 24, 25, 26, 28, 29, 31, 32], "avoid": [0, 2, 13, 14, 17, 21, 25], "inadvert": 0, "overrid": [0, 5], "function": [0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 26, 27, 30, 31, 32], "object": [0, 6, 9, 10, 12, 13], "explicitli": [0, 9, 17, 19, 26, 29, 32], "onli": [0, 2, 4, 5, 7, 9, 10, 11, 13, 14, 15, 17, 19, 21, 23, 24, 25, 26, 28, 29, 32], "need": [0, 1, 2, 4, 6, 7, 9, 26, 28, 29, 31, 32], "mp": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 31, 32], "sin": [0, 1, 2, 4, 6, 7, 9, 10, 11, 13, 14, 15, 16, 17, 20, 21, 24, 25, 28, 29, 32], "co": [0, 1, 2, 4, 6, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 24, 28, 29, 32], "1": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32], "context": [0, 5, 15, 25, 27, 32], "explain": 0, "numer": [0, 1, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 24, 26, 27, 28, 29, 30, 32], "class": [0, 4, 5, 7, 9, 14, 25, 28], "descript": [0, 4, 5, 10, 25], "mpf": [0, 1, 2, 5, 6, 9, 10, 11, 12, 13, 14, 15, 17, 19, 21, 22, 24, 25, 26, 28, 31, 32], "real": [0, 2, 4, 5, 7, 8, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 32], "float": [0, 1, 15, 17, 19, 21, 23, 25, 26, 27, 28, 29, 32], "mpc": [0, 10, 12, 25], "complex": [0, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 26, 27, 28, 30, 32], "matrix": [0, 7, 9, 10, 17, 19, 22, 27], "The": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 30, 31, 32], "section": [0, 5, 11, 13, 14, 17, 19, 24, 32], "veri": [0, 1, 2, 4, 5, 6, 7, 9, 13, 14, 15, 17, 19, 21, 24, 25, 28, 32], "short": [0, 32], "introduct": 0, "interv": [0, 1, 4, 7, 9, 14, 15, 19, 20, 21, 23, 24, 25, 27, 29], "matric": [0, 19, 25, 27], "ar": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32], "describ": [0, 4, 5, 6, 9, 11], "further": [0, 2, 26, 27, 31], "document": [0, 4, 7, 9, 10, 17, 23, 24, 25, 28, 30, 32], "chapter": [0, 11, 13, 17], "arithmet": [0, 7, 8, 9, 12, 18, 23, 26, 27, 28, 31, 32], "linear": [0, 4, 5, 9, 17, 26, 27, 32], "algebra": [0, 13, 15, 27, 32], "analog": [0, 14, 15, 17, 24, 25, 28], "python": [0, 10, 18, 21, 23, 25, 26, 27, 28, 31, 32], "s": [0, 1, 2, 7, 8, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 30, 31, 32], "built": [0, 7, 32], "It": [0, 1, 5, 7, 8, 9, 10, 11, 13, 14, 15, 19, 21, 24, 25, 26, 28, 31, 32], "hold": [0, 7, 9, 10, 11, 15, 19, 22, 25, 28, 32], "one": [0, 1, 2, 4, 5, 6, 7, 9, 13, 14, 17, 19, 24, 25, 26, 28, 31, 32], "special": [0, 9, 11, 13, 14, 15, 17, 18, 19, 20, 21, 22, 24, 25, 28, 32], "valu": [0, 1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 29, 32], "inf": [0, 2, 4, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 28, 32], "posit": [0, 2, 4, 5, 7, 11, 12, 14, 15, 17, 21, 22, 24, 25, 26, 28, 29, 32], "infin": [0, 9, 12, 14, 24, 25, 28], "neg": [0, 5, 9, 10, 11, 14, 15, 19, 20, 21, 24, 28, 29, 32], "nan": [0, 11, 12, 15, 23, 25, 32], "indic": [0, 5, 9, 10, 17, 19, 24, 32], "an": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 24, 25, 26, 28, 29, 30, 31, 32], "indetermin": [0, 10], "result": [0, 1, 2, 4, 5, 7, 8, 9, 10, 14, 15, 17, 21, 23, 25, 26, 28, 32], "you": [0, 4, 5, 6, 7, 9, 13, 25, 26, 28, 29, 31, 32], "creat": [0, 5, 10, 17, 27], "instanc": [0, 4, 10, 12, 17, 19, 24, 25, 31], "string": [0, 7, 10, 13, 25, 26, 28, 29, 32], "integ": [0, 2, 5, 9, 11, 13, 14, 15, 17, 18, 20, 21, 22, 24, 27, 31, 32], "4": [0, 1, 2, 4, 5, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32], "0": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32], "2": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32], "5": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32], "25e6": 0, "1250000": 0, "repres": [0, 7, 10, 11, 13, 17, 19, 20, 21, 23, 25, 26, 28, 32], "rectangular": [0, 10, 29], "form": [0, 1, 5, 6, 9, 10, 11, 13, 14, 15, 17, 19, 21, 24, 25, 26, 32], "pair": [0, 1, 4, 5, 7, 10, 17, 25, 26, 29, 32], "construct": [0, 24], "3": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32], "imag": [0, 10, 11, 15, 17, 24, 25, 29], "each": [0, 2, 4, 6, 7, 8, 9, 13, 17, 19, 21, 23, 24, 25, 26], "9": [0, 1, 2, 5, 7, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28], "dp": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 31, 32], "15": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 32], "see": [0, 1, 4, 5, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 27, 28, 31], "below": [0, 4, 5, 6, 9, 17, 24, 26], "1j": [0, 9, 11, 13, 14, 15, 17, 19, 21, 22, 24, 28], "70710678118654757": 0, "global": [0, 10, 16], "work": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14, 17, 19, 20, 21, 22, 24, 25, 26, 30, 32], "doe": [0, 2, 4, 5, 7, 9, 10, 17, 21, 24, 25, 26, 28, 32], "keep": [0, 7, 32], "track": [0, 7, 10, 28, 32], "accuraci": [0, 1, 2, 4, 5, 6, 8, 9, 10, 17, 26, 32], "individu": [0, 9, 27, 31], "perform": [0, 2, 4, 6, 7, 8, 9, 21, 26, 27, 28, 32], "oper": [0, 2, 9, 10, 12, 26, 27, 32], "call": [0, 1, 2, 4, 5, 7, 9, 10, 12, 13, 14, 15, 17, 19, 21, 22, 24, 25, 26, 28, 31, 32], "round": [0, 10, 17, 19, 21, 24, 25, 32], "current": [0, 7, 8, 9, 10, 12, 17, 24, 25, 28, 32], "control": [0, 6, 9, 10, 17, 25, 32], "which": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 31, 32], "ha": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 17, 19, 21, 23, 24, 25, 26, 31, 32], "default": [0, 2, 4, 5, 6, 7, 9, 10, 17, 25, 26, 29, 31, 32], "state": [0, 14, 32], "prec": [0, 4, 9, 10, 25, 31, 32], "53": [0, 9, 10, 11, 13, 24, 28, 32], "trap_complex": 0, "fals": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 21, 24, 25, 26, 28, 29, 32], "term": [0, 1, 2, 4, 5, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 32], "denot": [0, 4, 13, 14, 17, 19, 20, 21, 22, 24, 28], "binari": [0, 10, 21, 25, 32], "measur": [0, 4, 25, 32], "bit": [0, 4, 10, 24, 25, 26, 32], "while": [0, 2, 5, 6, 7, 9, 10, 11, 17, 19, 32], "decim": [0, 1, 5, 9, 10, 25, 26, 27], "place": [0, 1, 4, 8, 9, 23], "relat": [0, 5, 9, 13, 14, 15, 17, 18, 19, 20, 21, 22, 24, 27, 30, 32], "roughli": [0, 2, 4, 6, 9, 11, 14, 19, 21, 25, 26, 32], "accord": [0, 5, 11], "formula": [0, 1, 2, 4, 9, 11, 15, 17, 19, 20, 21, 24, 26, 32], "33": [0, 5, 11], "For": [0, 1, 2, 4, 5, 6, 7, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 31, 32], "take": [0, 4, 10, 17, 20, 21, 23, 29, 31], "333": [0, 5], "approxim": [0, 3, 5, 7, 8, 9, 15, 19, 20, 21, 24, 26, 27, 28, 31, 32], "pi": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32], "accur": [0, 1, 2, 4, 5, 6, 8, 9, 10, 14, 19, 20, 21, 23, 24, 25, 26, 28, 32], "100": [0, 2, 4, 5, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 29, 31, 32], "actual": [0, 4, 9, 10, 25, 26, 32], "slightli": [0, 2, 4, 9, 20, 21, 26], "more": [0, 1, 2, 4, 5, 6, 7, 9, 13, 14, 15, 16, 17, 19, 20, 21, 22, 24, 25, 26, 28, 32], "than": [0, 2, 4, 5, 7, 8, 9, 10, 11, 14, 15, 17, 19, 21, 24, 25, 26, 28, 32], "either": [0, 2, 4, 8, 9, 13, 15, 17, 25, 26, 28, 32], "properti": [0, 4, 9, 10, 11, 13, 14, 15, 17, 19, 21, 27, 28], "automat": [0, 2, 4, 6, 9, 10, 11, 14, 17, 25, 28, 31, 32], "updat": [0, 9, 25], "usual": [0, 4, 5, 7, 9, 10, 13, 17, 20, 24, 26, 28, 31, 32], "just": [0, 2, 4, 5, 6, 8, 17, 21, 24, 26, 28, 32], "want": [0, 5, 6, 9, 10], "336": 0, "carri": 0, "out": [0, 1, 4, 5, 17, 25], "50": [0, 4, 6, 8, 9, 10, 11, 13, 14, 15, 17, 19, 21, 24, 25, 26, 28, 29, 31, 32], "6": [0, 1, 2, 4, 5, 9, 10, 11, 12, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 31], "16666666666666666666666666666666666666666666666666656": 0, "25": [0, 2, 4, 5, 7, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 32], "414213562373095048801688713": 0, "also": [0, 1, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 22, 24, 25, 26, 28, 29, 31, 32], "10": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 32], "3333333333321": 0, "6666666666642": 0, "There": [0, 2, 15, 17, 20, 21, 24, 26, 32], "restrict": [0, 26, 32], "magnitud": [0, 2, 4, 9, 11, 17, 19, 21, 25, 26, 28, 29, 32], "larg": [0, 2, 4, 5, 6, 9, 10, 11, 14, 15, 17, 18, 19, 20, 21, 24, 25, 26, 28, 32], "mersenn": [0, 21], "prime": [0, 5, 14, 18, 21, 24], "32582657": 0, "24575026015369e": 0, "9808357": 0, "Or": 0, "why": 0, "googolplex": 0, "0e": [0, 2, 11, 17, 19, 20, 21, 25, 26], "100000000000000000000000000000000000000000000000000": 0, "expon": [0, 32], "store": [0, 10, 25, 28], "exactli": [0, 2, 9, 10, 14, 17, 19, 21, 23, 24, 25, 32], "independ": [0, 6, 11], "often": [0, 4, 9, 10, 11, 15, 17, 21, 23, 24, 25, 32], "dure": [0, 5, 9, 31], "part": [0, 2, 4, 5, 8, 11, 15, 17, 19, 20, 21, 23, 24, 27, 29, 32], "calcul": [0, 2, 4, 5, 7, 8, 9, 10, 11, 15, 19, 20, 21, 25, 26, 28, 32], "A": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 12, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 30, 32], "wai": [0, 1, 4, 5, 9, 11, 14, 15, 20, 21, 22, 24, 28, 32], "increas": [0, 2, 4, 5, 6, 8, 9, 10, 17, 19, 21, 23, 24, 25, 26, 29, 32], "restor": [0, 25], "do_someth": 0, "sinc": [0, 4, 10, 13, 14, 17, 18, 19, 20, 21, 24, 25, 26, 29], "statement": 0, "along": [0, 1, 4, 5, 9, 11, 13, 15, 19, 21, 23, 24, 25], "workprec": [0, 9], "workdp": 0, "extraprec": [0, 8, 9, 13, 24, 28], "extradp": [0, 13, 17, 24], "safe": [0, 26, 32], "manner": 0, "__future__": 0, "with_stat": 0, "thi": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 23, 24, 25, 26, 28, 29, 30, 31, 32], "20": [0, 2, 5, 7, 8, 9, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 29, 31], "7": [0, 2, 4, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 28], "14285714285714285714": 0, "142857142857142857142857142857": 0, "ensur": [0, 7, 8, 19, 32], "get": [0, 4, 5, 6, 7, 8, 14, 19, 26, 31, 32], "reset": 0, "exit": [0, 26], "block": [0, 24, 25], "even": [0, 2, 7, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 24, 25, 26, 28, 32], "case": [0, 4, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 20, 21, 22, 23, 24, 25, 26, 28, 32], "except": [0, 4, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 21, 23, 24, 25, 29, 32], "rais": [0, 7, 8, 9, 10, 13, 21, 25, 28, 29, 32], "effect": [0, 1, 5, 9, 10, 11, 24, 25, 31], "emul": [0, 27], "try": [0, 4, 7, 17, 26, 31, 32], "final": [0, 7, 9, 13, 24, 28, 31], "famili": [0, 7, 14], "decor": [0, 25], "def": [0, 1, 2, 7, 13, 17, 20, 21], "f": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 25, 26, 28, 29, 32], "return": [0, 1, 2, 4, 6, 7, 8, 9, 10, 11, 13, 15, 17, 19, 20, 21, 23, 24, 25, 26, 28, 29, 32], "33333331346511841": 0, "some": [0, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 23, 24, 26, 28, 29, 31, 32], "accept": [0, 6, 17, 25, 28], "keyword": [0, 1, 2, 4, 5, 7, 9, 14, 15, 17, 20, 24, 25, 26, 28], "argument": [0, 1, 2, 4, 5, 6, 7, 9, 11, 12, 14, 15, 16, 17, 18, 19, 20, 21, 22, 24, 25, 26, 29], "note": [0, 1, 2, 4, 6, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 23, 24, 25, 26, 31, 32], "affect": 0, "so": [0, 2, 4, 5, 8, 9, 10, 13, 14, 15, 17, 21, 23, 24, 27, 28, 31, 32], "digit": [0, 1, 2, 4, 5, 7, 9, 10, 15, 17, 19, 20, 21, 25, 26, 28, 30, 31, 32], "must": [0, 1, 2, 5, 6, 7, 8, 9, 13, 15, 21, 24, 25, 26, 31, 32], "afterward": [0, 7, 10, 25], "nstr": [0, 5, 19, 28], "nprint": [0, 1, 2, 6, 8, 9, 11, 13, 14, 15, 16, 17, 19, 20, 21, 23, 24, 26, 28], "exp": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 12, 13, 14, 15, 17, 20, 24, 25, 26, 28, 29, 32], "71828182845905": [0, 6, 9, 15, 28], "extra": [0, 2, 4, 8, 25, 31, 32], "won": 0, "t": [0, 2, 4, 5, 9, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 28, 29, 30], "7182818284590452353602874713526624977572470937": [0, 6], "instead": [0, 1, 4, 6, 9, 10, 13, 15, 20, 24, 25, 26, 28, 32], "custom": [0, 4, 24, 25, 26, 29], "method": [0, 2, 4, 5, 6, 7, 8, 9, 10, 17, 19, 21, 24, 25, 26, 30], "those": [0, 10, 14, 21, 23, 24, 26, 32], "local": [0, 6, 7, 24], "mp2": 0, "clone": 0, "3333333333": 0, "33333333333333333333": 0, "abil": [0, 32], "multipl": [0, 4, 7, 9, 11, 15, 24, 25, 28, 30, 32], "new": [0, 5, 6, 9, 28], "featur": [0, 1, 10], "partial": [0, 2, 4, 9, 17, 21], "implement": [0, 4, 5, 6, 8, 9, 10, 11, 12, 14, 15, 17, 18, 19, 20, 21, 23, 24, 26, 28, 32], "Not": 0, "yet": [0, 10], "avail": [0, 1, 4, 5, 9, 10, 14, 17, 18, 19, 21, 26, 28, 29, 31], "present": [0, 4, 9, 19, 25, 26], "version": [0, 1, 5, 10, 15, 17, 20, 23, 25, 32], "like": [0, 4, 6, 7, 8, 9, 10, 11, 13, 14, 15, 21, 23, 24, 25, 26, 28, 29, 32], "encount": [0, 13, 15], "bug": [0, 31, 32], "differ": [0, 2, 4, 5, 7, 9, 10, 11, 13, 15, 17, 19, 20, 21, 24, 25, 32], "most": [0, 5, 7, 9, 10, 13, 14, 15, 17, 19, 20, 21, 23, 25, 26, 28, 32], "Be": [0, 7], "high": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 15, 19, 21, 26, 30, 31, 32], "fraction": [0, 3, 5, 10, 11, 17, 19, 21, 26, 27, 32], "should": [0, 1, 4, 6, 8, 9, 10, 11, 13, 14, 15, 17, 20, 21, 24, 25, 26, 29, 31, 32], "30": [0, 2, 4, 7, 9, 10, 11, 14, 15, 19, 21, 22, 24, 25, 26, 28], "bad": [0, 4, 7, 14, 25, 29], "9000000000000003552713678800501": 0, "good": [0, 1, 4, 7, 9, 10, 14, 24, 25, 29, 32], "8999999999999999999999999999997": 0, "109": 0, "75": [0, 2, 8, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 28], "125": [0, 9, 11, 17, 20, 21, 24, 25, 28], "etc": [0, 1, 2, 9, 10, 17, 18, 19, 25, 26, 32], "gener": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 16, 18, 19, 20, 21, 22, 23, 24, 26, 27, 28, 30, 32], "howev": [0, 2, 4, 7, 9, 11, 14, 19, 23, 25, 26, 32], "By": [0, 4, 6, 9, 17, 19, 21, 25, 26, 29, 31], "repr": [0, 10, 32], "includ": [0, 1, 5, 7, 11, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 27, 31, 32], "its": [0, 1, 5, 9, 10, 15, 20, 21, 23, 25, 26, 27, 32], "signatur": 0, "eval": [0, 10, 25, 26, 32], "recreat": 0, "represent": [0, 9, 11, 13, 14, 15, 17, 19, 24, 25, 27], "prettier": 0, "output": [0, 4, 19, 25, 26, 29, 32], "obtain": [0, 1, 2, 6, 9, 13, 14, 19, 21, 22, 24, 29, 32], "str": [0, 19, 21, 25, 28, 32], "hide": [0, 32], "suppress": 0, "artifact": [0, 32], "last": [0, 7, 9, 10, 13, 14, 15, 17, 21, 25, 28, 32], "few": [0, 2, 4, 5, 9, 10, 11, 15, 17, 19, 20, 21, 24, 26, 31], "14159": [0, 12, 25], "1415899999999999": 0, "707106781186548": 0, "707106781186548j": 0, "pretti": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 31], "option": [0, 1, 2, 4, 5, 6, 9, 11, 13, 17, 21, 24, 25, 27, 28, 29], "style": 0, "well": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 15, 17, 19, 21, 26, 27, 28, 32], "true": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29], "59999999999999998": 0, "determin": [0, 6, 17, 19, 20, 25, 28], "specifi": [0, 4, 5, 6, 7, 9, 13, 17, 24, 25, 26, 28, 29], "show": [0, 1, 5, 10, 17, 21, 25, 26, 29], "without": [0, 4, 14, 19, 25], "16666666666666666": 0, "8": [0, 4, 5, 9, 11, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 31, 32], "16666667": 0, "16666666666666665741480812812369549646973609924316": 0, "x": [1, 2, 4, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 23, 24, 25, 26, 28, 29, 32], "n": [1, 2, 4, 5, 6, 8, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 30, 32], "produc": [1, 9, 10, 17, 25, 26, 29, 32], "degre": [1, 4, 5, 6, 17, 18, 20, 26], "polynomi": [1, 3, 4, 6, 9, 11, 14, 15, 17, 18, 24, 26, 27], "around": [1, 4, 11, 21, 24], "point": [1, 2, 4, 6, 7, 8, 9, 11, 13, 15, 17, 19, 20, 21, 23, 24, 25, 26, 27, 28, 29, 30, 32], "given": [1, 2, 4, 5, 6, 7, 8, 9, 11, 13, 14, 15, 17, 19, 20, 21, 23, 24, 25, 26, 28, 29, 32], "coeffici": [1, 5, 8, 9, 13, 17, 18, 19, 20, 21, 24, 25, 26], "list": [1, 2, 4, 7, 8, 9, 13, 17, 19, 21, 24, 25, 26, 27, 28, 29, 30, 31, 32], "chop": [1, 2, 4, 8, 9, 11, 13, 14, 15, 16, 17, 19, 20, 21, 23, 24, 28], "166667": [1, 16, 19, 21, 23], "00833333": [1, 16, 21, 23], "comput": [1, 2, 4, 5, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 30, 32], "order": [1, 2, 4, 5, 6, 9, 10, 11, 14, 17, 19, 20, 21, 24, 26], "differenti": [1, 3, 4, 5, 9, 11, 15, 17, 19, 20, 21, 24, 27], "possibl": [1, 5, 6, 7, 8, 9, 10, 11, 13, 15, 17, 21, 25, 26, 28, 32], "evalu": [1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 27, 29, 32], "arbitrari": [1, 2, 8, 9, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 22, 24, 27, 32], "precis": [1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 24, 26, 27, 30, 31], "diff": [1, 3, 7, 9, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25], "addit": [1, 4, 7, 9, 11, 13, 14, 15, 17, 24, 25, 28, 31, 32], "detail": [1, 4, 5, 9, 14, 24, 25, 31, 32], "support": [1, 2, 4, 7, 9, 10, 11, 12, 13, 14, 15, 17, 19, 21, 23, 24, 27, 28, 31], "e": [1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 30, 32], "g": [1, 2, 4, 5, 6, 9, 11, 13, 15, 18, 19, 20, 23, 24, 25, 30, 32], "polyv": [1, 3, 26], "revers": [1, 14, 15, 26], "expans": [1, 6, 7, 9, 11, 13, 14, 15, 17, 19, 20, 21, 24], "subtract": [1, 25, 28, 32], "p": [1, 2, 4, 5, 8, 9, 11, 13, 14, 15, 17, 19, 20, 22, 24, 25, 26, 28, 30], "12": [1, 2, 4, 6, 9, 11, 13, 15, 17, 19, 20, 21, 24, 26], "1824939606092": 1, "1824939607035": [1, 6], "l": [1, 5, 9, 11, 13, 15, 17, 18, 19, 20, 27, 28, 30], "m": [1, 2, 4, 5, 7, 9, 11, 13, 15, 17, 19, 20, 24, 25, 26, 30, 31, 32], "least": [1, 4, 9, 10, 19, 25, 26, 28, 32], "q": [1, 9, 13, 14, 15, 17, 18, 19, 20, 24, 25, 26, 27, 28], "satisfi": [1, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 28], "sum_": [1, 4, 5, 9, 11, 13, 17, 19, 21, 22, 24, 25], "k": [1, 2, 4, 5, 9, 11, 13, 14, 15, 17, 19, 21, 22, 24, 25, 30], "p_k": [1, 5], "q_k": 1, "q_0": 1, "o": [1, 2, 9, 14, 15, 24], "provid": [1, 4, 6, 8, 9, 10, 11, 13, 14, 17, 19, 21, 24, 25, 26, 27, 31], "analyt": [1, 4, 5, 6, 7, 9, 11, 15, 17, 19, 24, 30, 32], "beyond": [1, 9], "radiu": [1, 2, 6, 9, 11, 17, 21], "converg": [1, 4, 6, 7, 8, 9, 13, 14, 17, 19, 21, 24, 25], "baker": 1, "essenti": [1, 5, 9, 13, 14, 16, 19, 20, 23, 26], "academ": 1, "press": [1, 5, 15, 30], "ch": 1, "1a": 1, "sqrt": [1, 2, 4, 5, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 23, 24, 25, 26, 28, 29, 32], "38169105566806": 1, "38169855941551": 1, "error": [1, 4, 7, 8, 9, 10, 15, 16, 17, 18, 19, 21, 24, 25, 27, 28], "b": [1, 4, 5, 7, 9, 10, 11, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 28, 30, 32], "With": [1, 2, 4, 6, 8, 9, 10, 11, 13, 15, 17, 20, 24, 25, 26, 28, 32], "estim": [1, 4, 5, 7, 8, 9, 14, 19, 21, 25], "maximum": [1, 4, 5, 8, 9, 22, 25, 26, 32], "absolut": [1, 2, 10, 17, 19, 25, 28, 32], "give": [1, 2, 6, 7, 9, 10, 11, 14, 15, 17, 19, 20, 21, 22, 24, 25, 28, 32], "nearli": [1, 10, 32], "optim": [1, 3, 6, 9, 10, 17, 19, 25, 27], "solut": [1, 4, 5, 6, 7, 9, 11, 13, 14, 17, 20, 21, 24, 26, 28], "close": [1, 5, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 32], "smallest": [1, 25], "ani": [1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 15, 17, 19, 21, 24, 26, 28, 31, 32], "same": [1, 2, 9, 10, 11, 13, 14, 20, 21, 23, 24, 25, 32], "repeat": [1, 4, 8], "expens": [1, 2, 4, 6, 9, 21], "defin": [1, 2, 4, 6, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 32], "implicitli": 1, "integr": [1, 2, 3, 5, 6, 9, 10, 11, 15, 17, 18, 19, 20, 21, 23, 24, 27, 30, 32], "equat": [1, 3, 5, 7, 11, 13, 15, 17, 20, 21, 22, 24, 26, 27], "could": [1, 5, 7, 20, 26], "turn": [1, 11, 14, 17], "slow": [1, 7, 9, 17, 21, 24, 28, 29, 32], "fast": [1, 2, 4, 5, 6, 7, 9, 11, 19, 21, 24, 27, 31], "machin": [1, 26, 28, 32], "here": [1, 2, 4, 5, 9, 13, 20, 24, 26, 28, 30], "we": [1, 2, 4, 6, 9, 11, 13, 14, 15, 17, 20, 21, 23, 24, 26, 32], "low": [1, 5, 6, 7, 8, 17, 19, 20, 25, 26, 27], "valid": [1, 5, 9, 13, 15, 21, 24, 25, 26], "poli": 1, "err": [1, 8], "00291682": 1, "146166": 1, "732491": 1, "174141": 1, "949553": 1, "61351758081e": 1, "0291858904138": 1, "0291995223013": 1, "sampl": [1, 5, 9, 24, 25, 32], "1000": [1, 4, 5, 7, 9, 11, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28], "remark": 1, "lambda": [1, 2, 4, 5, 6, 7, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 29], "ab": [1, 2, 4, 9, 11, 13, 19, 20, 24, 25, 29, 30], "max": [1, 5, 7, 19, 25, 26, 32], "rang": [1, 2, 4, 5, 9, 11, 14, 15, 19, 20, 21, 22, 23, 24, 25, 26, 29, 32], "61349954245e": 1, "choic": [1, 4, 6, 9, 17, 21], "set": [1, 2, 4, 5, 6, 8, 9, 10, 15, 17, 19, 20, 21, 25, 26, 27, 28, 32], "arbitrarili": [1, 11, 14, 15, 17, 19, 21, 24], "As": [1, 2, 5, 6, 9, 13, 17, 19, 21, 25, 26, 28, 32], "rule": [1, 3, 5], "thumb": [1, 5], "unit": [1, 4, 12, 13, 15, 17, 20, 21, 24, 25, 31], "although": [1, 4, 7, 8, 9, 10, 14, 17, 24, 32], "depend": [1, 4, 5, 7, 10, 14, 17, 24, 25, 26, 28, 31, 32], "how": [1, 7, 14, 15, 24, 25, 28, 32], "behav": [1, 2, 5, 6, 11, 14, 32], "cost": [1, 9, 25], "grow": [1, 5, 11, 14, 15, 19, 21, 26], "accordingli": [1, 2, 4, 31, 32], "time": [1, 2, 4, 5, 9, 10, 11, 15, 19, 24, 26, 28, 29, 32], "issu": [1, 5, 9, 13, 21, 26, 27, 30, 31], "One": [1, 3, 4, 9, 26, 30], "suffici": [1, 4, 6, 9, 10, 26, 32], "both": [1, 4, 6, 8, 9, 10, 11, 14, 15, 17, 18, 21, 24, 25, 26, 31, 32], "sometim": [1, 4, 5, 7, 9, 10, 13, 17, 20, 25, 26, 28, 32], "ill": [1, 6, 13, 32], "condit": [1, 6, 8, 9, 11, 13], "difficult": [1, 6], "reach": [1, 9, 26], "matter": [1, 4, 32], "theoret": [1, 13, 18, 24, 27], "made": [1, 4], "futur": [1, 7, 25], "poorli": 1, "smooth": [1, 4, 9, 19], "contain": [1, 4, 5, 7, 9, 10, 17, 25, 26, 28, 29, 32], "singular": [1, 2, 4, 5, 9, 11, 13, 14, 17, 21, 23, 24, 29], "rapid": 1, "oscil": [1, 4, 6, 9, 11], "multipli": [1, 2, 4, 5, 11, 24, 25, 26, 28, 32], "weight": [1, 4, 9, 17, 20], "cancel": [1, 4, 5, 7, 9, 10, 14, 17, 21, 24, 25, 32], "nonsmooth": [1, 2], "divid": [1, 4, 25, 26], "sever": [1, 4, 7, 9, 11, 24, 25, 26, 28, 31], "segment": [1, 23], "two": [1, 4, 6, 7, 8, 9, 10, 11, 13, 14, 18, 19, 21, 22, 23, 24, 25, 26, 28, 32], "c": [1, 2, 9, 10, 13, 14, 17, 24, 25, 28, 30, 32], "cosin": [1, 4, 6, 11, 14, 16, 17, 23, 24, 28], "sine": [1, 4, 6, 11, 14, 16, 17, 23, 24, 28], "respect": [1, 4, 11, 13, 17, 20, 24, 28, 29, 32], "sim": [1, 4, 9, 11, 15], "c_k": [1, 26], "s_k": [1, 9], "where": [1, 2, 4, 5, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 32], "mani": [1, 4, 5, 7, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 25, 26, 29, 32], "text": [1, 6, 13, 20, 31], "first": [1, 2, 4, 5, 6, 7, 8, 9, 11, 13, 15, 17, 19, 20, 24, 25, 26, 32], "c_0": [1, 8, 26], "easiest": 1, "correctli": [1, 26, 32], "pass": [1, 4, 5, 7, 9, 13, 17, 19, 21, 24, 25, 29, 31], "simpl": [1, 4, 5, 7, 8, 9, 11, 14, 15, 19, 21, 23, 24, 25, 26, 28, 29, 32], "standard": [1, 2, 3, 6, 13, 14, 17, 18, 20, 23, 26, 28, 31, 32], "zero": [1, 4, 9, 10, 13, 15, 17, 18, 20, 21, 25, 26, 28, 32], "becaus": [1, 7, 9, 25, 32], "odd": [1, 9, 11, 14, 15, 16, 19, 21, 24, 32], "symmetri": [1, 11, 13, 14, 15, 24], "ration": [1, 9, 11, 14, 15, 17, 20, 21, 24, 26, 32], "number": [1, 2, 4, 5, 8, 9, 10, 11, 12, 13, 14, 16, 17, 18, 20, 21, 22, 24, 27, 28, 29, 30, 31], "666667": 1, "nonsymmetr": 1, "nonstandard": 1, "i": [1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 16, 17, 19, 20, 21, 22, 23, 24, 25, 28, 30, 31, 32], "cs": [1, 4], "583333": 1, "12479": 1, "27552": 1, "904708": 1, "441296": 1, "6255": 1, "580905": 1, "219974": 1, "540057": 1, "instruct": 1, "plot": [1, 6, 10, 11, 13, 20, 21, 25, 27], "truncat": [1, 4, 8, 17, 26, 32], "slowli": [1, 4, 5, 7, 9, 11, 13, 17], "mai": [1, 2, 4, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 29, 31, 32], "pointwis": 1, "cosh": [1, 4, 9, 13, 14, 19, 32], "correspond": [1, 5, 9, 10, 11, 17, 20, 24, 28, 32], "quad": [1, 2, 3, 6, 9, 10, 11, 13, 14, 15, 17, 20, 21, 23, 24, 28], "00467963": 1, "quadratur": [1, 2, 3, 5, 9, 14, 20, 27, 30], "speed": [1, 6, 7, 9, 10, 17, 28, 32], "improv": [1, 4, 5, 7, 9, 19], "specif": [1, 3, 9, 20, 21, 26, 31, 32], "5000441648": 1, "format": [1, 4, 8, 25, 28], "length": [1, 4, 6, 13, 15, 17, 24], "ge": [2, 4, 6, 11, 13, 15, 17, 24], "th": [2, 4, 11, 13, 15, 19, 20, 21, 24], "basic": [2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 25, 26, 32], "0855": 2, "tupl": [2, 4, 8, 17, 19, 24, 25, 29, 32], "x_1": [2, 4, 6, 15, 26], "ldot": [2, 4, 6, 8, 9, 11, 13, 15, 17, 19, 20, 21, 22, 24, 25, 28, 29], "x_k": [2, 4, 28], "n_1": 2, "n_k": 2, "y": [2, 4, 6, 9, 10, 11, 13, 15, 17, 20, 21, 23, 25, 28, 29, 32], "recogn": [2, 4, 5, 26], "step": [2, 3, 4, 6, 7, 8, 9, 21, 25, 31], "finit": [2, 4, 9, 10, 15, 17, 20, 22, 23, 24, 25, 32], "small": [2, 8, 17, 19, 21, 24, 25, 26, 32], "size": [2, 6, 19, 25, 26, 32], "h": [2, 4, 5, 9, 11, 13, 15, 24, 25, 26, 28, 30], "direct": [2, 5, 6, 9, 15, 16, 17, 21, 25, 26, 32], "left": [2, 5, 6, 9, 11, 13, 14, 15, 16, 17, 19, 20, 22, 23, 24, 28], "central": 2, "right": [2, 5, 6, 9, 11, 13, 14, 15, 16, 17, 19, 20, 22, 23, 24, 28, 32], "addprec": 2, "account": 2, "sensit": [2, 25], "perturb": [2, 17, 19, 25], "rel": [2, 14, 19, 25, 32], "choos": [2, 4, 5, 7, 9, 14, 15, 20, 22], "rather": [2, 4, 5, 9, 11, 15, 24], "tini": [2, 17, 21, 24], "altern": [2, 4, 5, 7, 9, 11, 13, 14, 17, 18, 20, 21, 24, 25, 28, 29, 31], "manual": [2, 3, 7, 9, 15, 17, 25, 31, 32], "select": [2, 4, 5, 9, 15, 17, 20, 21, 29], "If": [2, 4, 5, 6, 7, 8, 9, 10, 13, 14, 15, 17, 19, 21, 22, 24, 25, 26, 28, 29, 31, 32], "remov": [2, 9, 17, 26, 29, 31], "contour": [2, 5, 17], "larger": [2, 5, 14, 15, 19, 26, 32], "typic": [2, 4, 5, 8, 9, 10, 11, 15, 17, 25, 32], "faster": [2, 4, 6, 7, 9, 10, 19, 21, 25, 26, 31, 32], "chosen": [2, 5, 9, 11, 13, 15, 17, 21, 24, 25], "within": [2, 4, 6, 7, 9, 24, 26, 31, 32], "requir": [2, 4, 5, 6, 9, 10, 14, 15, 17, 23, 25, 26, 29, 31, 32], "target": [2, 9, 17], "much": [2, 4, 9, 10, 15, 19, 21, 25, 31, 32], "thu": [2, 4, 11, 14, 17, 19, 20, 21, 23], "side": [2, 5], "nonzero": [2, 8, 10, 20, 21, 24, 25, 32], "sign": [2, 4, 5, 7, 9, 10, 14, 23, 24, 29, 32], "j": [2, 4, 5, 7, 9, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 24, 25, 28, 29, 30], "imaginari": [2, 5, 8, 11, 12, 14, 15, 16, 17, 19, 21, 24, 25, 29, 32], "0j": [2, 4, 8, 9, 13, 14, 19, 20, 21, 23, 25, 28], "pure": [2, 4, 9, 20, 24], "59": [2, 26], "26j": [2, 11], "_": [2, 5, 10, 11, 13, 15, 17, 22, 23, 24, 25], "ad": [2, 32], "1e": [2, 9, 11, 14, 17, 21, 25, 26], "0001": [2, 17], "99999998328279e": 2, "31": [2, 15, 19, 24, 30], "none": [2, 4, 6, 7, 8, 9, 10, 13, 17, 21, 22, 25, 26, 28, 29, 32], "yield": [2, 7, 9, 21], "sequenc": [2, 9, 10, 15, 20, 24, 32], "separ": [2, 17, 19, 25, 26, 32], "infti": [2, 4, 5, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 28], "stop": [2, 9], "soon": [2, 9, 32], "exact": [2, 4, 6, 9, 10, 11, 13, 15, 17, 18, 19, 21, 25, 26, 32], "known": [2, 5, 6, 7, 9, 10, 11, 14, 15, 17, 19, 21, 22, 24, 32], "advanc": [2, 5, 9, 10, 30, 32], "effici": [2, 4, 7, 9, 13, 17, 19, 20, 21, 24, 25, 28, 30, 32], "540302": 2, "841471": 2, "d": [2, 5, 9, 10, 11, 13, 17, 19, 20, 24, 25, 30], "zip": [2, 25, 31], "print": [2, 4, 6, 7, 8, 9, 10, 11, 15, 17, 19, 20, 21, 23, 24, 26, 27, 28, 30, 31, 32], "54030230586814": [2, 6, 28], "841470984807897": [2, 6, 23, 28], "factor": [2, 7, 11, 13, 14, 17, 22, 24, 25, 32], "iter": [2, 4, 7, 8, 9, 11, 15, 17, 21, 25, 28], "f_k": 2, "_k": [2, 11, 17], "f_1": [2, 6, 17, 29], "f_2": [2, 17], "cdot": [2, 4, 9, 11, 15, 19, 22], "f_n": [2, 6, 11, 29], "At": [2, 4, 14, 19, 21, 24, 26], "admit": [2, 13, 17], "intern": [2, 5, 8, 10, 11, 17, 28, 31, 32], "guard": 2, "extern": [2, 5], "full": [2, 4, 9, 17, 25, 26, 31, 32], "u": [2, 9, 10, 13, 17, 18, 20, 24, 25, 28, 29, 31], "v": [2, 4, 9, 10, 11, 13, 15, 17, 28, 29], "next": [2, 8, 9, 26], "23586333600241": 2, "104658952245596": 2, "96999877552086": 2, "4632923122697": 2, "fdiff": 2, "gamma": [2, 5, 7, 9, 11, 13, 17, 18, 19, 20, 21, 24, 27, 29, 30, 32], "logarithm": [2, 9, 11, 15, 17, 18, 19, 20, 24, 25, 27, 28, 32], "diffs_loggamma": 2, "loggamma": [2, 9, 11, 24], "psi": [2, 24], "84556867019693": 2, "49292999190269": 2, "44996501352367": 2, "x0": [2, 6, 7], "riemann": [2, 7, 11, 18, 19, 30], "liouvil": [2, 11], "x_0": [2, 6, 7, 26], "mathbb": [2, 11, 13, 15, 20, 21, 24, 25], "n_xf": 2, "frac": [2, 4, 5, 9, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 26, 28], "dx": [2, 4, 5, 9, 11, 17, 20, 21, 24], "int_": [2, 4, 11, 14, 15, 20], "dt": [2, 9, 11, 13, 14, 15, 24], "presum": 2, "refer": [2, 4, 5, 6, 8, 9, 11, 13, 14, 15, 17, 19, 20, 21, 24, 27, 28, 32], "paramet": [2, 5, 9, 10, 11, 13, 14, 15, 17, 20, 24, 28], "second": [2, 6, 7, 9, 11, 13, 17, 19, 20, 25, 26, 32], "du": 2, "permit": [2, 6, 9, 10, 11, 15, 17, 20, 22, 25, 26, 31, 32], "singl": [2, 4, 9, 10, 13, 15, 17, 21, 22, 23, 25, 28, 29, 32], "continu": [2, 5, 6, 9, 11, 13, 15, 17, 19, 24, 32], "monomi": 2, "half": [2, 4, 5, 10, 11, 13, 15, 19, 21, 24, 28, 29], "81764019044672": 2, "anoth": [2, 4, 7, 9, 10, 11, 17], "test": [2, 6, 10, 11, 17, 19, 27, 28, 32], "exponenti": [2, 4, 5, 9, 11, 13, 15, 17, 18, 19, 23, 24, 26, 27, 28, 32], "whose": [2, 28], "easi": [2, 20, 32], "third": [2, 5, 9, 11, 13, 20, 25], "tripli": 2, "nest": [2, 4, 9, 15, 28], "endpoint": [2, 4, 9, 10, 14, 25], "278538406900792": 2, "1922": 2, "50563031149": 2, "noninteg": [2, 11, 17, 24], "modifi": [2, 7, 11, 18], "123295": 2, "005390743": 2, "140955": 2, "117867654j": 2, "gammainc": 2, "root": [3, 4, 11, 13, 14, 17, 18, 19, 20, 22, 23, 24, 26, 27, 28, 32], "polyroot": [3, 19, 20, 26], "find": [3, 8, 9, 15, 21, 24, 26, 27, 32], "findroot": [3, 4, 11, 14, 15, 19, 22, 24, 25, 26], "sum": [3, 4, 5, 10, 14, 15, 17, 19, 21, 22, 24, 25, 27, 28, 32], "product": [3, 11, 15, 17, 19, 22, 25, 26, 27, 30, 32], "limit": [3, 4, 11, 13, 14, 15, 16, 17, 20, 21, 22, 23, 26, 27, 32], "extrapol": [3, 4, 27], "summat": [3, 4, 5, 17, 21, 22, 24], "deriv": [3, 4, 6, 7, 8, 9, 11, 13, 15, 17, 19, 21, 24, 32], "composit": 3, "diffs_prod": 3, "diffs_exp": 3, "differintegr": [3, 11], "differint": [3, 11], "oscillatori": [3, 5, 11], "quadosc": [3, 11, 14, 23], "ordinari": [3, 5, 10, 13, 14, 15, 17, 20, 22, 23, 24, 27, 28], "solv": [3, 7, 11, 20, 21, 24, 28, 32], "od": 3, "initi": [3, 4, 7, 10, 11, 19], "problem": [3, 4, 5, 7, 8, 9, 10, 13, 26, 32], "odefun": [3, 21], "taylor": [3, 6, 8, 9, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 28], "seri": [3, 4, 5, 6, 9, 10, 11, 13, 14, 15, 16, 18, 19, 20, 21, 25, 27, 28, 30, 32], "pade": [3, 5, 9, 28], "chebyshev": [3, 18], "chebyfit": [3, 8], "fourier": [3, 5, 13, 24, 25], "fourierv": 3, "invers": [3, 4, 7, 13, 14, 18, 19, 21, 26, 27, 28, 32], "laplac": [3, 11, 27], "transform": [3, 4, 6, 9, 13, 15, 17, 26, 27], "algorithm": [3, 4, 6, 7, 8, 9, 10, 14, 17, 19, 24, 26, 30, 32], "invertlaplac": 3, "approach": [3, 9, 11, 13, 14, 19, 24], "credit": 3, "kwarg": [4, 5, 7, 9, 11, 13, 14, 15, 16, 17, 19, 21, 22, 23, 24, 25, 26], "doubl": [4, 9, 10, 13, 15, 19, 21, 24, 27], "tripl": [4, 10], "over": [4, 9, 10, 11, 17, 19, 23, 24, 25, 29], "1d": [4, 7], "2d": [4, 9, 17, 29], "rectangl": 4, "3d": [4, 27], "cuboid": 4, "dimens": [4, 9, 28], "interpret": [4, 14, 25, 27, 31, 32], "x1": [4, 7, 15, 17], "x2": [4, 7, 15, 17], "x_2": [4, 6, 15, 26], "y1": [4, 11, 20], "y2": [4, 11, 20], "y_1": [4, 6, 11], "y_2": [4, 11], "dy": 4, "z1": 4, "z2": 4, "z_1": 4, "z_2": 4, "z": [4, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 29], "dz": [4, 11], "infinit": [4, 9, 10, 11, 13, 14, 15, 19, 21, 25, 26, 29, 32], "descriptor": 4, "split": 4, "subinterv": [4, 25], "between": [4, 5, 6, 7, 9, 11, 13, 14, 21, 23, 24, 25, 26, 30, 32], "consecut": [4, 9, 15, 24], "deal": 4, "mid": [4, 10, 19], "discontinu": [4, 13, 17, 25], "irregular": [4, 11], "maxdegre": 4, "befor": [4, 5, 6, 15, 17, 25, 26, 28], "quit": [4, 9, 28, 32], "verbos": [4, 6, 7, 9, 24, 25, 26, 29], "about": [4, 9, 19, 24, 25, 26, 27, 32], "progress": [4, 9, 29], "These": [4, 5, 9, 12, 13, 14, 17, 20, 24, 27, 32], "tanhsinh": 4, "gausslegendr": 4, "quadt": 4, "quadgl": 4, "shortcut": [4, 5, 12, 17], "ideal": 4, "hundr": [4, 5], "thousand": 4, "node": 4, "make": [4, 6, 7, 11, 13, 17, 21, 24, 25, 28, 31, 32], "cach": [4, 6, 10, 11, 25], "advantag": [4, 9, 10, 15], "tend": [4, 5], "handl": [4, 9, 17, 32], "cheap": [4, 28], "run": [4, 9, 24, 26, 27, 32], "reason": [4, 6, 32], "fewer": [4, 6], "therefor": [4, 5, 6, 9, 10, 15, 17, 20, 25, 32], "better": [4, 5, 6, 7, 9, 17, 23, 26], "integrand": [4, 13, 14], "tangent": [4, 16, 23], "int": [4, 9, 15, 17, 19, 25, 32], "tan": [4, 6, 13, 16], "gaussian": [4, 14, 15, 17, 25, 30], "14159265358979": [4, 6, 15, 25, 26, 32], "resolv": 4, "area": 4, "circl": [4, 17, 21, 24, 25], "le": [4, 5, 6, 10, 11, 13, 14, 17, 20, 21, 23, 24, 25, 28], "1415926535897932384626433832795028841971693993751": 4, "141592653589793238462643383279502884": 4, "216420199": 4, "residu": [4, 24, 28], "counterclockwis": [4, 21], "diamond": 4, "shape": [4, 5, 28], "path": [4, 13, 30], "28318530717959j": 4, "nice": [4, 7, 9], "solvabl": 4, "taken": [4, 6, 9, 11, 13, 15, 17, 24, 32], "mathworld": [4, 9, 11, 14, 15, 17, 19, 24, 30], "fairli": [4, 26], "rapidli": [4, 5, 9, 11, 13, 14, 15, 17, 19, 24], "log": [4, 5, 7, 9, 10, 11, 13, 14, 15, 16, 17, 19, 23, 24, 25, 26, 28, 32], "577215664901532860606512090082": [4, 9], "euler": [4, 5, 9, 14, 18, 21, 22, 24, 26], "17343648530607134219175646705": 4, "23370055013616982735431137498": 4, "64493406684822643647241516665": 4, "done": [4, 15, 17, 19, 24, 28, 32], "367879441171442": [4, 5], "nonrectangular": 4, "recurs": [4, 19, 20, 25], "replic": 4, "earlier": [4, 23, 31], "101366277027041": 4, "design": [4, 10, 32], "neither": [4, 25], "cope": 4, "best": [4, 6, 9, 25, 32], "99900894176779": 4, "999932197413801": 4, "still": [4, 10, 17], "inaccur": [4, 17, 24], "99999999946942": 4, "due": [4, 9, 10, 24, 28, 32], "per": [4, 6, 7], "se": 4, "amplif": 4, "circumv": 4, "temporarili": 4, "highli": [4, 7, 9, 10], "variabl": [4, 5, 13, 18, 20, 31], "sens": [4, 11, 17, 20, 25], "being": [4, 5, 7, 9, 13, 26], "sharp": [4, 29], "peak": 4, "bump": 4, "fail": [4, 5, 7, 25, 26, 31], "abl": [4, 9, 26, 31, 32], "137681127712316": 4, "37": [4, 24], "8587612408485": 4, "437620923709297": 4, "break": [4, 9], "linspac": 4, "whether": [4, 10, 25, 26, 28, 32], "center": [4, 21], "64804647105268": 4, "12159332021646": 4, "http": [4, 5, 7, 8, 9, 11, 14, 15, 17, 19, 24, 26, 27, 28, 30, 31], "wolfram": [4, 9, 11, 14, 15, 17, 19, 24, 30], "com": [4, 9, 11, 14, 15, 17, 19, 24, 30, 31], "doubleintegr": 4, "html": [4, 9, 11, 14, 15, 17, 19, 24, 26, 31], "omega": [4, 14], "period": [4, 11, 13, 23, 24], "int_a": [4, 9, 14], "phi": [4, 13, 18, 19, 20, 21, 22, 24, 25, 26, 28], "decreas": [4, 5, 6, 9, 11, 17, 23], "proper": [4, 23], "input": [4, 6, 9, 10, 17, 23, 25, 26, 27, 28, 29, 31, 32], "rate": [4, 7, 9, 15], "wave": [4, 18, 25], "x_": 4, "inform": [4, 5, 7, 9, 11, 13, 14, 17, 20, 24, 27, 31], "angular": 4, "frequenc": [4, 5], "37833007080198": 4, "ei": 4, "mathematica": [4, 17, 20, 23, 25], "wa": [4, 5, 8], "theori": [4, 13, 14, 15, 24, 30], "nsum": [4, 10, 14, 15, 17, 19, 21, 22, 24, 25], "becom": [4, 6, 11, 13, 15, 24, 32], "entir": [4, 11, 15, 23, 24, 32], "line": [4, 5, 7, 9, 11, 20, 23, 24, 28, 29], "start": [4, 5, 7, 16, 21], "15572734979092": 4, "0844109505595739": 4, "si": [4, 23], "0844109505595738": 4, "Of": [4, 14, 28, 32], "cours": [4, 6, 14, 15, 28, 30, 32], "156410688228254": 4, "00317486988463794": 4, "0447701735209082j": 4, "non": [4, 5, 9, 13, 21, 25, 26, 28, 30], "strictli": [4, 17, 24, 25], "might": [4, 7, 9, 17, 21, 25, 28, 32], "necessari": [4, 7, 13, 17, 26, 32], "notabl": [4, 9], "bessel": [4, 17, 18, 27], "though": [4, 9, 28, 32], "asymptot": [4, 7, 9, 11, 14, 15, 17, 19, 24, 31], "strong": [4, 9], "j0": [4, 11], "j1": [4, 11], "properli": [4, 10, 15], "j0zero": 4, "consid": [4, 7, 13, 15, 17, 20, 25, 26], "complet": [4, 5, 10, 13, 14, 15, 20, 31], "fresnel": [4, 18, 29], "int_0": [4, 9, 11, 13, 14, 15, 21, 24], "do": [4, 6, 8, 9, 10, 17, 31, 32], "caus": [4, 8, 28], "virtual": [4, 32], "imposs": [4, 6, 25, 32], "kind": [4, 11, 13, 17, 19, 20, 21], "correct": [4, 9, 10, 14, 17, 21, 26, 27, 30], "distribut": [4, 15, 18], "x_n": [4, 26], "626657068657750125603941321203": 4, "interestingli": 4, "constant": [4, 5, 9, 11, 13, 15, 18, 20, 27, 32], "squar": [4, 10, 13, 17, 21, 23, 25, 26, 28, 32], "25024394235267": 4, "250243942352671": 4, "trick": 4, "28642190869861": 4, "perfect": [4, 9], "28652953559617": 4, "ci": 4, "decai": [4, 5, 9, 11], "primarili": 4, "troubl": 4, "calculu": [4, 5, 7, 27], "quadraturerul": 4, "ctx": [4, 5, 7, 10], "simplifi": [4, 13, 26], "common": [4, 11, 12, 13, 18, 27, 32], "infrastructur": 4, "task": 4, "subclass": 4, "appropri": [4, 9, 15, 17, 31], "suppos": 4, "singleton": 4, "__new__": 4, "calc_nod": 4, "probabl": [4, 9, 10, 14, 19, 25, 28, 32], "get_nod": 4, "retriev": [4, 13, 17], "clear": [4, 17], "delet": [4, 31], "data": [4, 10, 24], "estimate_error": 4, "epsilon": [4, 9, 15, 25, 28, 30], "i_1": [4, 21], "i_2": [4, 21], "i_k": 4, "i_": [4, 11, 15], "approx": [4, 14, 17, 21, 26], "under": [4, 9, 21, 27], "assumpt": 4, "increment": [4, 32], "borwein": [4, 24, 30], "bailei": [4, 26, 30], "girgensohn": [4, 30], "conserv": 4, "seem": 4, "robust": [4, 5, 6, 7], "practic": [4, 5, 19, 24], "alreadi": [4, 26, 31], "otherwis": [4, 5, 7, 9, 19, 23, 24, 25, 26], "thei": [4, 7, 10, 11, 12, 13, 15, 17, 19, 20, 21, 23, 24, 25, 26, 31, 32], "guess_degre": 4, "desir": [4, 5, 9, 32], "accomplish": [4, 5], "up": [4, 5, 6, 8, 9, 10, 11, 17, 19, 21, 22, 24, 25, 27, 32], "slight": 4, "overestim": 4, "dealt": 4, "On": [4, 5, 6, 23, 24, 27, 30, 32], "hand": [4, 6], "too": [4, 5, 8, 9, 10, 13, 17, 19, 25, 26, 32], "big": 4, "amount": [4, 5, 9, 10, 15, 19, 22, 25, 32], "unsolv": 4, "tune": [4, 5], "500": [4, 5, 14, 25], "3000": [4, 11, 15], "base": [4, 5, 7, 10, 17, 18, 19, 21, 24, 26, 32], "experiment": [4, 7, 10, 30], "wrong": [4, 5, 8, 9, 10, 15, 19, 32], "sum_next": 4, "previou": [4, 9], "w_k": [4, 21], "suppli": [4, 5, 24, 26, 29], "reus": [4, 25], "them": [4, 5, 7, 10, 24, 28], "max_degre": 4, "main": [4, 24, 31, 32], "until": [4, 9, 10, 25], "signal": [4, 25], "subintegr": 4, "transform_nod": 4, "rescal": [4, 11, 17], "chang": [4, 7, 9, 10, 24, 25, 28, 31, 32], "lbrack": 4, "rbrack": 4, "doubli": [4, 9, 13], "maclaurin": [4, 9, 16, 21, 24], "involv": [4, 5, 6, 10, 11, 14, 28, 32], "hyperbol": [4, 18, 27], "henc": 4, "name": [4, 9, 28], "vanish": 4, "extrem": [4, 9, 13, 15, 17, 19, 21, 24, 32], "mean": [4, 6, 9, 13, 14, 15, 18, 24, 26, 28, 32], "comparison": [4, 5, 9, 10, 17, 19, 27], "Is": [4, 7, 9], "slower": [4, 5, 9, 10, 19], "onc": [4, 6, 9], "mathemat": [4, 5, 7, 9, 10, 11, 19, 21, 23, 25, 26, 28, 30, 32], "discoveri": [4, 30], "peter": [4, 30], "2003": [4, 24, 30], "page": [4, 19, 25, 27, 31], "312": 4, "313": [4, 11], "scheme": [4, 29], "exploit": 4, "recurr": [4, 14, 15, 19, 20, 24], "success": [4, 9, 11, 26, 32], "variou": [4, 11, 12, 13, 15, 17, 19, 20, 21, 28], "onlin": 4, "crd": [4, 30], "lbl": [4, 30], "gov": [4, 5, 24, 30], "dhbailei": [4, 30], "dhbpaper": [4, 30], "dhb": [4, 30], "pdf": [4, 24, 30], "user": [4, 5, 8, 10, 26, 31, 32], "dal": 4, "ca": [4, 11, 14, 17, 24, 26, 30], "jborwein": 4, "abscissa": [4, 5], "t_k": 4, "t_0": 4, "hk": 4, "die": 4, "off": [4, 5, 9, 24, 25, 28], "fact": [4, 10, 26], "level": [4, 10, 32], "allow": [4, 6, 9, 10, 17, 20, 22, 25, 26, 28, 32], "2x": [4, 25, 26], "speedup": [4, 10], "exception": 4, "orthogon": [4, 17, 18, 27, 28], "quadrat": [4, 8, 26], "wors": [4, 19], "space": [5, 9, 24, 25], "bar": [5, 13], "domain": [5, 14, 20, 29], "mathcal": 5, "lbrace": 5, "rbrace": 5, "tt": 5, "001": [5, 26, 32], "01": [5, 6, 14, 15, 17, 21, 25, 26, 32], "fp": [5, 13, 20, 27, 28, 29], "ft": 5, "000999000499833375": 5, "57923043561212e": 5, "00990049833749168": 5, "27007646698047e": 5, "19": [5, 7, 9, 13, 17, 24, 25, 28, 31], "090483741803596": 5, "75215800052168e": 5, "18": [5, 7, 9, 15, 19, 20, 21, 28], "2428864009344e": 5, "17": [5, 9, 11, 13, 15, 17, 19, 21, 24, 25], "000453999297624849": 5, "04513489306658e": 5, "higher": [5, 6, 9, 17, 24, 25, 29, 32], "96868310693356e": 5, "105": [5, 15, 17, 21], "23032291513122e": 5, "104": 5, "mathrm": [5, 7, 9, 11, 13, 14, 15, 16, 17, 19, 21, 23, 24, 25, 26, 28], "_0": [5, 11], "besselj": [5, 17, 25], "999999750000016": 5, "09717765032273e": 5, "99997500015625": 5, "61756281076169e": 5, "3305396140806": 5, "92126634837863e": 5, "16": [5, 8, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 32], "02795452108656": 5, "81486093200704e": 5, "three": [5, 8, 9, 13, 15, 19, 21, 24, 29, 30, 32], "attribut": [5, 10], "dehoog": 5, "fixedtalbot": 5, "invlaptalbot": 5, "invlapstehfest": 5, "invlapdehoog": 5, "heurist": [5, 25, 32], "balanc": 5, "request": [5, 9], "convert": [5, 10, 12, 13, 21, 23, 26, 28, 32], "plane": [5, 11, 13, 14, 17, 23, 24, 25, 29], "pole": [5, 14, 15, 17, 20, 23, 24], "branch": [5, 13, 14, 15, 17, 19, 20, 21, 23], "cut": [5, 13, 14, 15, 17, 19, 21, 23], "regard": [5, 8], "behavior": [5, 9, 11, 24, 32], "enough": [5, 7, 8, 9, 10, 15, 17, 19, 26, 32], "character": 5, "catastroph": [5, 21, 25], "overflow": [5, 9, 32], "underflow": [5, 32], "significantli": [5, 19, 26, 32], "bromwich": 5, "answer": [5, 8, 9, 32], "certain": [5, 17, 24, 26], "heavisid": 5, "adjust": 5, "varieti": 5, "deform": 5, "parabola": 5, "toward": [5, 7], "lead": [5, 8, 21, 25], "equival": [5, 9, 10, 11, 13, 14, 16, 17, 19, 21, 23, 24, 25, 32], "axi": [5, 11, 14, 15, 19, 21, 24, 25, 32], "awai": [5, 11, 32], "ones": [5, 28], "et": [5, 30], "al": [5, 30], "type": [5, 9, 10, 11, 14, 19, 20, 25, 26, 27, 31, 32], "acceler": [5, 7, 9], "express": [5, 9, 11, 13, 14, 15, 17, 19, 21, 24, 26], "remaind": [5, 9], "greatest": 5, "overhead": 5, "slowest": 5, "origin": [5, 6, 9, 11, 13, 21, 26], "occur": [5, 9, 14, 17, 25, 26, 32], "illustr": [5, 7, 9], "duffi": 5, "figur": [5, 11], "228": 5, "rightarrow": [5, 9], "vice": 5, "versa": 5, "shift": [5, 15], "closer": 5, "rightmost": [5, 15], "sinh": [5, 9, 14, 30, 32], "3t": [5, 11], "0100015000675014": 5, "101506764482381": 5, "33929164246997": 5, "1781079096920": 5, "74": [5, 28], "61331069624091e": 5, "14": [5, 7, 8, 10, 11, 17, 19, 24, 25, 28], "dlmf": [5, 11, 13, 24, 30], "nist": [5, 30], "14t4": 5, "cohen": [5, 9], "2007": [5, 30], "springer": [5, 24, 30], "1998": 5, "engin": [5, 26, 30], "crc": 5, "review": 5, "bellman": 5, "r": [5, 8, 9, 11, 13, 15, 17, 19, 20, 21, 22, 24, 25, 26, 28, 29, 30], "kalaba": 5, "lockett": 5, "1966": [5, 30], "applic": [5, 7, 9, 20, 21], "biologi": 5, "econom": 5, "physic": [5, 11, 24], "elsevi": [5, 30], "davi": 5, "martin": 5, "1979": 5, "survei": 5, "journal": [5, 30], "32": [5, 9, 17, 20, 24, 26, 32], "doi": 5, "org": [5, 7, 8, 11, 15, 17, 19, 24, 27, 28, 30, 31], "1016": 5, "0021": 5, "9991": 5, "79": [5, 19, 24], "90025": 5, "1993": 5, "characterist": 5, "acm": 5, "transact": 5, "softwar": [5, 13, 23, 31, 32], "359": [5, 30], "1145": 5, "155743": 5, "155788": 5, "kuhlman": 5, "2013": 5, "63": [5, 11, 28], "339": [5, 26], "355": [5, 26], "1007": 5, "s11075": 5, "012": 5, "9625": 5, "inverselaplac": 5, "calc_laplace_paramet": 5, "tradition": 5, "abat": 5, "valko": 5, "2004": 5, "open": [5, 31], "t_": 5, "prevent": [5, 26], "exist": [5, 9, 17, 21, 26, 28], "li": [5, 19, 21, 24, 29], "tmax": 5, "associ": [5, 20, 24], "vector": [5, 6, 7, 17, 21, 25, 26], "p_0": [5, 20], "2m": [5, 11, 17], "hopefulli": [5, 17], "achiev": [5, 8, 9], "p_i": 5, "mt_": 5, "cot": [5, 18, 24, 29], "qquad": [5, 11], "calc_time_domain_solut": 5, "manual_prec": 5, "5t": 5, "re": [5, 11, 13, 15, 17, 20, 23, 24, 28, 29, 31], "gamma_k": 5, "gamma_0": 5, "tp_k": 5, "jk": 5, "again": 5, "multi": 5, "60": [5, 8, 10, 11, 13, 17, 23, 25, 32], "979": 5, "993": 5, "1002": 5, "nme": 5, "995": [5, 9, 14], "ima": 5, "appli": [5, 9, 10, 16, 25, 26, 28, 30, 32], "23": [5, 9, 11, 14, 15, 17, 19, 21, 24], "97": [5, 14, 15, 19], "1093": 5, "imamat": 5, "discret": 5, "widder": 5, "post": 5, "invert": [5, 17], "v_k": 5, "min": [5, 25], "lfloor": [5, 25], "rfloor": [5, 25], "2i": [5, 11, 24], "linearli": [5, 9, 11, 26], "loss": [5, 17], "signific": [5, 10, 19, 25, 32], "1941": 5, "princeton": 5, "1970": 5, "368": [5, 9], "commun": 5, "13": [5, 11, 13, 15, 17, 19, 26, 28], "47": 5, "49": [5, 26], "361953": 5, "361969": 5, "alpha": [5, 11, 17], "tol": [5, 6, 7, 9, 25, 26, 28], "2t": 5, "2t_": 5, "scale": [5, 7, 10, 13, 21], "_goal": 5, "toler": [5, 7, 9, 17, 26, 27, 28], "less": [5, 6, 10, 12, 14, 17, 19, 21, 25, 26, 32], "algorithsm": 5, "un": 5, "halv": 5, "simplist": 5, "via": [5, 9, 14, 15, 17, 21, 23, 24, 31, 32], "paper": [5, 9, 24, 26, 30], "2005": 5, "edit": [5, 15, 30], "1982": 5, "siam": [5, 30], "scientif": 5, "statist": 5, "357": 5, "366": 5, "1137": 5, "0903022": 5, "benefici": 5, "system": [5, 6, 7, 10, 17, 28, 31, 32], "parallel": 5, "trivial": [5, 7, 20], "process": [5, 26], "interfac": [5, 9, 27, 28, 31], "mytalbot": 5, "fpvec": 5, "928300179528890061756872185e": 5, "21": [5, 11, 14, 15, 19, 21, 24, 26], "look": [5, 26, 31, 32], "were": 5, "34": [5, 15, 17, 19, 28], "contribut": 5, "kristoph": 5, "2017": 5, "y0": [6, 11], "y_0": [6, 11], "y_n": [6, 11], "dimension": [6, 7, 9], "f_0": [6, 11, 29], "vdot": 6, "scalar": [6, 9, 28, 30], "fulli": [6, 32], "ep": [6, 9, 13, 17, 21, 24, 25, 28], "simul": 6, "solver": [6, 24], "longer": [6, 20, 26], "tradeoff": [6, 10], "interpol": 6, "quickli": [6, 13, 15, 19, 21, 26], "explicit": [6, 13, 20, 28], "element": [6, 8, 9, 17, 19, 20, 25, 28], "nonlinear": [6, 7, 9], "happen": [6, 21, 24, 26], "atan": 6, "87255666284091": 6, "14158520028345": 6, "72128263801696": 6, "harmon": [6, 18, 24], "introduc": [6, 19, 32], "helper": 6, "wherebi": [6, 9, 20], "written": [6, 19], "put": [6, 10], "togeth": 6, "begin": [6, 13, 15, 17, 20, 22, 23], "end": [6, 8, 13, 15, 17, 20, 22, 23], "ivp": 6, "check": [6, 10, 14, 15, 19, 24, 25, 26, 32], "801143615546934": 6, "598472144103957": 6, "839071529076452": 6, "54402111088937": 6, "simultan": [6, 8, 9, 24], "todo": [6, 9], "rung": 6, "kutta": 6, "secant": [7, 16, 23], "verifi": [7, 10, 11, 13, 14, 15, 17, 19, 20, 24, 26, 28, 31, 32], "multidimension": [7, 9, 28], "overdetermin": [7, 28], "speak": 7, "leq": 7, "meet": 7, "criterion": 7, "disabl": [7, 9, 10, 17, 25, 31], "iv": [7, 19, 21, 23, 27, 28], "pleas": [7, 10, 17, 31], "guarante": [7, 10, 25, 27], "certainli": 7, "regardless": [7, 9], "smaller": [7, 8, 24, 25, 28, 32], "valueerror": [7, 9, 10, 13, 14, 15, 25, 28], "maxstep": [7, 8, 26], "after": [7, 9, 17, 20, 26, 31], "df": 7, "d2f": 7, "forc": [7, 9, 17, 25, 31], "jacobian": 7, "norm": [7, 21], "callabl": 7, "expect": [7, 9, 28], "alias": 7, "mnewton": 7, "hallei": 7, "muller": 7, "illinoi": 7, "pegasu": 7, "anderson": 7, "ridder": 7, "anewton": 7, "bisect": [7, 24], "locat": [7, 8, 11, 20, 22, 24, 31], "closest": [7, 21], "14159265358979323846264338328": [7, 9, 26], "nonreal": 7, "els": 7, "never": [7, 25], "leav": 7, "226698825758202": 7, "46771150871022j": 7, "nontrivi": [7, 24], "zeta": [7, 9, 15, 18, 19, 27, 29, 30], "14j": [7, 24], "1347251417346937904572519836j": 7, "minimum": [7, 16, 32], "4616321449683623413": 7, "lambert": [7, 18, 30], "w": [7, 9, 11, 17, 18, 20, 24, 30, 31], "ident": [7, 10, 11, 13, 14, 19, 20, 21, 22, 24, 28, 30], "lambertw": 7, "567143290409784": 7, "2496028524016": 7, "618033988749895": [7, 19, 26], "381966011250105": 7, "61803398874989": [7, 26], "syntax": [7, 17, 25, 28], "newtonian": 7, "99": [7, 15], "918073542444929": 7, "newton": [7, 8, 21], "variant": [7, 9, 18], "steffensen": 7, "88888888888888888889": 7, "111111111111111111111": 7, "77890011223344556678": 7, "10998877665544332211": 7, "67002233332199662166": 7, "108877778911448945119": 7, "5622443299551077669": 7, "107778003366888854764": 7, "99999999999999999214": 7, "562244329955107759": 7, "8598304758094664213e": 7, "zerodivisionerror": [7, 17, 21, 25, 28], "recommend": [7, 10, 26, 31], "727136084491197": 7, "934099289460529j": 7, "intersect": 7, "reliabl": [7, 32], "symmetr": [7, 18, 20, 24, 25], "traceback": [7, 10, 13, 14, 15, 17, 21, 25, 28], "recent": [7, 10, 13, 14, 15, 17, 21, 25, 28, 31], "16840434497100886801e": 7, "tweak": 7, "pro": 7, "contra": 7, "cubic": 7, "somewhat": [7, 21, 32], "en": [7, 8, 14, 15, 17, 24, 28, 30, 31], "wikipedia": [7, 8, 15, 17, 20, 24, 28, 30, 32], "wiki": [7, 8, 15, 17, 24, 28, 30], "s_method": 7, "similar": [7, 16, 17, 22], "combin": [7, 8, 9, 11, 13, 17, 26], "regula": 7, "falsi": 7, "fb": 7, "fz": 7, "bjoerk": 7, "arg": [7, 11, 13, 14, 21, 24], "wrapper": [7, 26], "told": 7, "brent": 7, "simpler": [7, 13, 17, 24], "_method": 7, "mdnewton": 7, "scipi": 7, "openopt": 7, "guess": [7, 26], "polish": 7, "welcom": 7, "coeff": 8, "c_n": [8, 20, 26], "c_2": [8, 11, 17, 20, 26], "c_1": [8, 11, 17, 20, 26], "cleanup": 8, "roots_init": 8, "sort": 8, "appear": [8, 11, 15, 17, 19], "conjug": [8, 11, 24, 25, 28], "adjac": 8, "among": [8, 11, 15, 26], "14x": 8, "24": [8, 9, 11, 13, 15, 19, 20, 22, 26], "4x": 8, "3x": [8, 19], "375": [8, 9, 20], "59947894041409j": 8, "22044604925031e": [8, 24, 28], "5th": 8, "uniti": [8, 19, 21, 23], "8090169943749474241": 8, "58778525229247312917j": 8, "3090169943749474241": 8, "95105651629515357212j": 8, "cannot": [8, 10, 14, 17, 23, 24, 31, 32], "noconverg": [8, 17, 25], "extend": [8, 9, 13, 19, 24, 26, 32], "fix": [8, 10, 11, 12, 13, 14, 17, 20, 24, 25, 26, 32], "alwai": [8, 9, 10, 19, 23, 25, 26, 32], "studi": [8, 9, 13, 24, 30], "14626436994197234232913506571557044551247712918732870123249": 8, "317837245195782244725757617296174288373133378433432554879127": 8, "durand": 8, "kerner": 8, "view": [8, 13, 17], "particular": [8, 9, 11, 15, 17, 24, 26, 32], "found": [8, 13, 23, 26, 30, 32], "remain": [8, 15], "kerner_method": 8, "fsum": [9, 10, 19, 21], "fprod": [9, 19, 22], "k_1": 9, "a_1": [9, 15, 17, 22], "b_1": [9, 15, 17, 19, 22], "k_n": [9, 11], "a_n": [9, 17, 21], "b_n": [9, 19, 21, 24], "fac": [9, 11, 14, 17, 20, 21, 24], "64493406684823": 9, "attempt": [9, 17, 26, 28, 32], "simpli": [9, 10, 17, 21, 25, 26, 32], "reduc": [9, 11, 13, 14, 15, 17, 19, 20, 21, 24, 26], "expand": [9, 17], "hypercub": 9, "move": 9, "innermost": 9, "rewrit": [9, 17], "maxterm": [9, 17], "add": [9, 24, 25, 28, 31, 32], "40": [9, 11, 12], "know": [9, 28, 32], "Then": 9, "110": 9, "ignor": 9, "enabl": [9, 17, 31], "arithmeticerror": 9, "through": [9, 24, 32], "divis": [9, 17, 25, 26, 32], "replac": 9, "lattic": 9, "unfortun": [9, 26], "idea": [9, 26, 32], "investig": [9, 24, 26], "diverg": [9, 14, 15, 17], "levin_vari": 9, "conjunct": 9, "sidi": 9, "develop": [9, 26, 30, 32], "villegra": 9, "zagier": 9, "long": [9, 26, 32], "45": [9, 11, 14, 15, 19, 28], "go": [9, 31], "15334809493716": 9, "25j": [9, 11, 13, 17, 19, 22, 24, 28], "8j": [9, 13, 14, 17], "998": 9, "counterpart": 9, "2020569031595942853997381615114499907649862923405": 9, "9348022005446793094172454999380755676568497036204": 9, "90154267736969571404980362113358749307373971925537": 9, "90154267736969571404980362113358749307373971925538": 9, "geometr": [9, 17, 18], "excel": [9, 32], "border": 9, "disk": [9, 13], "seen": [9, 10], "69314718055994530941723212145817656807550013436025": 9, "200": [9, 19, 20, 24, 26, 29], "765147024625408": 9, "924299897222939": 9, "92429989722293885595957018136": 9, "laurent": [9, 13, 24], "extremli": 9, "behaviour": 9, "dirichlet": [9, 18], "now": [9, 32], "outsid": [9, 13, 17, 21, 24, 32], "attent": 9, "3j": [9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 23, 24, 25], "resumm": 9, "expint": [9, 17], "symbol": [9, 15, 18, 26], "firstli": 9, "copiou": 9, "secondli": 9, "stepsiz": 9, "miss": 9, "garbag": 9, "besselk": [9, 17], "xrang": 9, "hypergeoemtr": 9, "hyp2f1": [9, 13], "rf": [9, 17, 22], "altzeta": 9, "38734195032621": 9, "250": 9, "38734195032620997271199237593105101319948228874688": 9, "furthermor": 9, "abov": [9, 14, 20, 24, 26, 31], "far": [9, 10, 17, 19, 32], "region": 9, "3025850929940456840179914546843642076011014886288": 9, "111111111111111": 9, "142857142857143": 9, "166666666666667": 9, "333333333333333": [9, 15], "28": [9, 19, 20, 25], "reduct": [9, 17, 24], "60669515241529": 9, "278070510848213": 9, "ln2": [9, 15, 17, 24], "129319852864168": 9, "0790756439455825": 9, "28125": 9, "400": 9, "hard": 9, "madelung": 9, "condition": 9, "lucki": 9, "74756459463318": 9, "sech": [9, 19], "1775860903036": 9, "eisenstein": 9, "1512120021539": 9, "weisstein": [9, 11, 17, 30], "doubleseri": 9, "madelungconst": 9, "reject": 9, "adiff": 9, "bdiff": 9, "_fast_abort": 9, "b_": [9, 17, 21, 22, 24], "2k": [9, 11, 13, 24], "quotient": [9, 15, 25], "fall": [9, 17, 18, 21, 32], "That": [9, 15, 20, 24], "procedur": 9, "03174336652030209012658168043874142714132886413417": 9, "999": 9, "100000": [9, 11, 13, 21, 29, 32], "200000": 9, "10500155000624963999742499550000": 9, "200001": 9, "summand": 9, "abel": 9, "plana": 9, "unlik": [9, 15, 20, 21, 24, 25], "particularli": 9, "power": [9, 10, 11, 18, 19, 24, 25, 26, 27, 28, 32], "34148725725091717975677": [9, 24], "5j": [9, 11, 13, 14, 15, 17, 20, 21, 22, 24, 25, 28], "385361068546473342286084": 9, "7432082105196321803869551j": 9, "poor": 9, "whenev": [9, 12], "6917036036904594510141448": 9, "polylog": [9, 14, 17], "prod_": [9, 15, 17, 19, 22], "141592653589793238462643": [9, 11, 13, 23], "6666666666666666666666667": [9, 11], "complic": 9, "180668317897115748416626": 9, "csch": 9, "2720290549821331629502366": 9, "8480540493529003921296502": 9, "848936182858244485224927": 9, "9190194775937444301739244": 9, "9826842777421925183244759": 9, "838038955187488860347849": 9, "447255926890365298959138": 9, "jacobi": [9, 18, 19, 22], "theta": [9, 18, 19, 20, 22, 23, 24], "preserv": [9, 23, 32], "3838451207481672404778686": 9, "tanh": [9, 30], "jtheta": [9, 19, 22], "2887880950866024212788997": [9, 22], "8093965973662901095786805": 9, "41432688231864337420035": 9, "696155111336231052898125": 9, "infiniteproduct": 9, "lim_": [9, 15], "directli": [9, 11, 13, 14, 17, 19, 24, 26, 28, 32], "166666666666666666666666666667": 9, "definit": [9, 10, 13, 14, 15, 17, 19, 20, 21, 23, 24, 25, 28, 30, 32], "0855369231876677409285296546": 9, "stirl": [9, 15, 18], "50662827463100050241576528481": 9, "notori": 9, "992831158558330281129249686491": 9, "wish": 9, "seq": 9, "largest": [9, 24, 25, 28, 32], "lost": [9, 25], "contrast": 9, "unabl": 9, "compar": [9, 13, 14, 15, 19, 22, 25, 28, 32], "workaround": 9, "detect": [9, 26, 31], "monoton": [9, 11, 23], "index": [9, 11, 19, 21, 27, 28, 31], "leibniz": 9, "2126984126984126984126984127": 9, "0711058": 9, "14159265468624052829954206226": 9, "09645e": 9, "20833": 9, "benderorszag": [9, 30], "pp": [9, 17, 24, 30], "376": 9, "tabl": [9, 11, 17, 26, 30, 32], "random": [9, 14, 28], "a_k": [9, 11, 17, 25], "wynn": 9, "read": [9, 27], "lower": [9, 11, 14, 17, 26, 28, 29, 32], "triangular": [9, 28], "row": [9, 28], "column": [9, 28], "dummi": 9, "entri": [9, 28], "append": [9, 25], "a_0": [9, 15, 21], "a_": [9, 17, 21, 22], "substanti": 9, "termin": [9, 17, 20], "pseudorandom": 9, "16667": 9, "13333": 9, "14524": 9, "82": 9, "14234": 9, "13968": 9, "177": [9, 19], "14139": 9, "969": 9, "937": 9, "14271": 9, "327": 9, "14166": 9, "3515": 9, "06": 9, "14161": 9, "22532e": 9, "78309e": 9, "75527e": 9, "48478e": 9, "96014e": 9, "immedi": 9, "875": [9, 17], "9375": [9, 25], "96875": [9, 11], "gravesmorri": [9, 30], "let": [9, 28], "s_n": 9, "update_step": 9, "update_psum": 9, "s_0": 9, "s_1": 9, "step_psum": 9, "word": [9, 21, 25, 26], "caution": [9, 10], "hope": [9, 32], "defind": 9, "errat": 9, "insuffici": [9, 25], "silent": 9, "proof": [9, 30], "sound": 9, "prove": [9, 10], "stieltj": [9, 18], "summari": 9, "sai": [9, 15], "unreli": 9, "suit": 9, "flavour": 9, "suitabl": [9, 28, 32], "overal": 9, "access": [9, 27, 28], "normal": [9, 11, 18, 20, 23, 24, 25, 32], "runtimeerror": 9, "exceed": 9, "373": 9, "mandatori": 9, "summabl": 9, "hypergeometr": [9, 11, 13, 14, 18, 20, 24, 27, 30, 32], "wenig": 9, "arxiv": [9, 11, 24, 30], "math": [9, 10, 11, 14, 17, 18, 30], "0306302": 9, "pratic": 9, "homeier": 9, "0005209": 9, "villega": 9, "belong": 9, "ac": 9, "2n": [9, 11, 13, 15, 17, 20, 24], "06215090557106": 9, "convers": [10, 18, 27, 31, 32], "fundament": [10, 15], "mostli": 10, "compat": [10, 28], "underli": [10, 17], "cython": 10, "sage": [10, 27], "builtin": [10, 25, 29], "transpar": [10, 31], "visibl": 10, "help": [10, 27, 31], "modul": [10, 18, 28, 31, 32], "ctx_mp_python": 10, "ctx_mp": 10, "mpcontext": 10, "func": [10, 24], "clearli": 10, "distinguish": [10, 17, 32], "what": [10, 17, 26, 32], "usag": [10, 27], "pm": [10, 11, 20, 23, 24], "iy": 10, "land": 10, "rigor": [10, 19, 28, 32], "hat": [10, 20, 32], "subseteq": 10, "uncertainti": [10, 32], "would": [10, 13, 19, 21], "princip": [10, 13, 14, 15, 21, 23], "drawback": 10, "pessimist": 10, "bound": [10, 19, 25, 26], "treat": 10, "width": [10, 32], "liter": [10, 25], "mpi": [10, 19, 25], "intend": 10, "10000000000000000555": 10, "099999999999999991673": 10, "2000000000000000111": 10, "equal": [10, 15, 20, 21, 24, 25, 31, 32], "operand": [10, 12, 32], "inequ": [10, 11, 19], "logic": 10, "delta": [10, 19], "transcendent": [10, 13, 14, 26, 27, 32], "35355339059327373086": 10, "837117307087383633": 10, "7182818284590455349": 10, "69314718055994528623": 10, "69314718055994539725": 10, "99500416527802570954": 10, "irrat": [10, 19, 26], "naiv": [10, 14], "conclus": 10, "163": [10, 13], "640320": 10, "744": [10, 13], "262537412640768744": 10, "0000001": 10, "But": 10, "262537412640768743": 10, "99999999999925007259719818568888": 10, "perfectli": 10, "hardwar": [10, 32], "wherea": [10, 14, 25, 28], "emploi": 10, "prefix": 10, "write": [10, 22], "erfc": [10, 11, 17], "000406952017445": 10, "000406952017444959": 10, "22": [10, 22, 24, 26, 28], "wrap": [10, 25], "cmath": [10, 18, 23], "elementari": [10, 11, 13, 14, 15, 17, 24, 32], "23606797749979": 10, "23606797749979j": 10, "5440211108893698": 10, "7071067811865476": 10, "7071067811865475j": 10, "80": [10, 17, 19, 32], "intermedi": 10, "latter": [10, 14, 26, 28], "almost": [10, 19, 26, 28], "subset": 10, "aris": 11, "wavelik": 11, "growth": [11, 15], "_0f_1": [11, 17], "_1f_1": [11, 17, 20], "_1f_2": [11, 17], "j_n": 11, "thing": [11, 15, 28, 32], "radial": 11, "cylindr": 11, "coordin": [11, 20, 25], "nonsingular": 11, "ne": [11, 15, 20, 21, 23, 24], "j2": 11, "j3": 11, "cplot": [11, 13, 21, 29], "50000": [11, 13, 19, 21], "024777229528606": 11, "000801070086542314": 11, "1000j": [11, 15, 20, 21, 24], "48071721019185e": 11, "432": 11, "41567059811949e": 11, "437j": 11, "75j": [11, 22, 25], "4j": [11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25], "778118364828153309919653": 11, "5863603889018621585533j": 11, "28461534317975275734531059968613140570981118184947": 11, "10000": [11, 15, 17, 19, 20, 21, 24, 26], "007096160353388801477265164": 11, "000002175591750246891726859055": 11, "337048736538615712436929e": 11, "51": [11, 24], "540725411970948860173735e": 11, "43426": 11, "4949812409615803110051e": 11, "43433j": 11, "304242": 11, "284615": 11, "485434": 11, "333458": 11, "151425": 11, "11": [11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 28], "40483": 11, "52008": 11, "65373": 11, "7915": 11, "9309": 11, "83171": 11, "01559": 11, "1735": 11, "3237": 11, "4706": 11, "distanc": 11, "trigonometr": [11, 13, 18, 27, 32], "13726373575505": 11, "211708866331398": 11, "1352484275797055051822405": 11, "1377811164763244890135677": 11, "1241343240399987693521378": 11, "385977722939384": 11, "j_0": 11, "j_1": 11, "j_": 11, "understood": [11, 17, 20], "2nd": 11, "y3": 11, "3588729167767189594679827": 11, "242861436961450520325216": 11, "085042824915332562522402j": 11, "00364780555898660588668872": 11, "8952500412050989295774e": 11, "26": [11, 13, 14, 17, 19, 24, 25, 26], "antideriv": [11, 14, 21], "3842618820422660066089231": 11, "2066598304156764337900417": 11, "208173867409": 11, "5547350101511": 11, "02668487547301372334849043": 11, "377046859093181969213262": 11, "i_n": 11, "ix": [11, 14, 16, 21, 23, 24], "i0": 11, "i1": 11, "i2": 11, "i3": 11, "266065877752008335598245": 11, "2904369752642538144289025": 11, "4469098397654815837307006j": 11, "480717210191852440616782e": 11, "299602851624027900335391e": 11, "4342944813": 11, "6000": 11, "10000j": 11, "114650753239580827144204e": 11, "2603": 11, "385040221241629041351886e": 11, "2602j": 11, "349223221159309": 11, "195": 11, "8229038931399062565883": 11, "153": 11, "3296508971734525525176": 11, "202": [11, 24], "5043900051930141956876": 11, "k0": 11, "k1": 11, "k2": 11, "k3": 11, "4210244382407083333356274": 11, "97746326050642263725661j": 11, "02090732889633760668464128": 11, "2464022641351420167819697j": 11, "9615816021726349402626083": 11, "1918250181801757416908224j": 11, "656628229175902018939005e": 11, "131967049321725588398296e": 11, "434298": 11, "001140348428252385844876706": 11, "0005200017201681152909000961j": 11, "fmul": 11, "561034538142413947789221e": 11, "243554598118700063281496e": 11, "8e": 11, "4001": 11, "2000": [11, 21, 24, 29, 30], "2302": 11, "701024509704096466802": 11, "nu": 11, "nonneg": [11, 19, 20, 24, 25, 32], "convent": [11, 13, 17, 20, 21, 23, 25, 32], "abramowitz": [11, 14, 17, 20, 30], "stegun": [11, 14, 17, 20, 30], "count": [11, 18, 25, 28], "interlac": 11, "j_2": 11, "404825557695772768621632": 11, "520078110286310649596604": 11, "653727912911012216954199": 11, "831705970207512315614436": 11, "01558666981561875353705": 11, "17346813506272207718571": 11, "135622301840682556301402": 11, "417244140399864857783614": 11, "61984117214905942709415": 11, "_1": [11, 14], "_2": [11, 24, 28], "84118378134065930264363": 11, "331442773525032636884016": 11, "536316366346285834358961": 11, "054236928227140322755932": 11, "706133194158459146634394": 11, "969467823087595793179143": 11, "3742660775278447196902": 11, "3140": 11, "807295225078628895545": 11, "31415": 11, "14114171350798533666": 11, "321": 11, "1893195676003157339222": 11, "3148": 11, "657306813047523500494": 11, "31422": 11, "9947255486291798943": 11, "311": 11, "8018681873704508125112": 11, "3139": 11, "236339643802482833973": 11, "31413": 11, "57032947022399485808": 11, "57": [11, 24, 26], "11689916011917411936228": 11, "62": 11, "80769876483536093435393": 11, "388": 11, "6936600656058834640981": 11, "52": [11, 19], "99764038731665010944037": 11, "02631933279942589882363": 11, "387": 11, "1083151608726181086283": 11, "493409457909064175307881": 11, "15657692957458622921634": 11, "nprod": [11, 25], "1149034849319004804696469": 11, "2102436158811325550203884": 11, "y_": [11, 20], "8935769662791675215848871": 11, "957678419314857868375677": 11, "086051060301772697623625": 11, "197141326031017035149034": 11, "429681040794135132772005": 11, "596005868331168926429606": 11, "384241767149593472701426": 11, "793807513268267538291167": 11, "02347797936003797850539": 11, "683022856585177699898967": 11, "941499953654175655751944": 11, "12340465543661307978775": 11, "002582931446063945200176": 11, "350724701413079526349714": 11, "57419546521764654624265": 11, "8034717601871549333419": 11, "236498918198006794026": 11, "57034538691205229188": 11, "319": 11, "6183338562782156235062": 11, "3147": 11, "086508524556404473186": 11, "31421": 11, "42392920214673402828": 11, "3726705426359345050449": 11, "807136030340213610065": 11, "14112579761578220175": 11, "50285882040036394680237": 11, "11244442774058114686022": 11, "1096509824943957706835": 11, "56": [11, 15, 24], "96290427516751320063605": 11, "74888166945933944036623": 11, "6923300548309258355475": 11, "570796326794896619231322": [11, 13, 14, 23], "798386045783887136720249": 11, "56721208770735123376018": 11, "h_n": [11, 20], "h1_n": 11, "h0": 11, "h1": [11, 17], "h2": [11, 17], "h3": [11, 17], "4854339326315091097054957": 11, "0999007139290278787734903j": 11, "2340002029630507922628888": 11, "6419643823412927142424049j": 11, "h2_n": 11, "rotat": [11, 16, 28], "_n": [11, 14, 15, 17, 20, 22], "ber_n": 11, "bei_n": 11, "f0": [11, 20], "f1": [11, 13, 17, 20, 21], "f2": [11, 13, 17, 20, 21], "f3": [11, 13, 17, 20], "442338852571888752631129": 11, "948359035324558320217678": 11, "948359035324558320217678j": 11, "675445984756614424069563": 11, "84901771719130765656316j": 11, "83886679193707699364398": 11, "684053288183046528703611j": 11, "ker_n": 11, "kei_n": 11, "02542895201906369640249801": 11, "02074960467222823237055351": 11, "02074960467222823237055351j": 11, "586084268115490421090533": 11, "939717517906339193598719j": 11, "940403256319453402690132": 11, "585621643835618941044855j": 11, "mathbf": 11, "3608207733778295024977797": 11, "255212719726956768034732": 11, "5819566816797362287502246": 11, "10000000000000": 11, "3153915652525200060": 11, "308937": 11, "308937j": 11, "1000000": [11, 14, 26], "4000000j": 11, "066421087689197632388731e": 11, "1737173": 11, "596619701076529803290973e": 11, "1737173j": 11, "9167076867564138178671595": 11, "lh": 11, "rh": 11, "fac2": 11, "40359302709875496632744": 11, "180846515103737996249972": 11, "2670": 11, "994904980850550721511": 11, "757089288053346261497686e": 11, "42": [11, 17, 19, 22, 28], "160893281017115450519948e": 11, "4342944819025": 11, "4342944819025j": 11, "700j": 11, "1721150049480079451246076": 11, "1240770953126831093464055j": 11, "973341637511505389128708e": 11, "434290": 11, "164633059729968297147448e": 11, "434290j": 11, "368850306060678353018165": 11, "inhomogen": 11, "4860912605858910769078311": 11, "5033": 11, "358320403384472395612": 11, "585": 11, "8011892476145118551756j": 11, "1e6j": 11, "630743639715893346570743e": 11, "117960409887505906848456e": 11, "434291j": 11, "1e6": 11, "0002795719747073879393087011": 11, "coincid": [11, 15, 24], "3390589585259364589255146": 11, "4088969848691080859328847": 11, "4777182150870917715515015": 11, "6002108774380707130367995": 11, "sinpi": [11, 21], "1145380759919333180900501": 11, "1057668973099018425662646": 11, "8081418209852019290498": 11, "314488899926921597203j": 11, "434291": [11, 14], "00002812518265894315604914453": 11, "3834897968188690177372881": 11, "35": [11, 13, 19, 20, 26, 32], "2009680659308154011878075": 11, "097441848875479535164627": 11, "cospi": [11, 21], "1486507351534283744485421": 11, "s_": 11, "mu": [11, 14, 19], "f4": [11, 13, 17, 20], "4276243877565150372999126": 11, "5461221367746048054932553": 11, "6979536443265746992059141": 11, "gradshteynryzhik": [11, 30], "lommelfunct": 11, "tfrac": 11, "30000": 11, "968299831601008419949804e": 11, "9683e": 11, "9589683199624672099969765": 11, "6495190528383289850727924": 11, "operatornam": [11, 24, 26, 28], "ai": 11, "xt": 11, "bi": [11, 32], "fold": 11, "f_": [11, 17], "f_diff": 11, "f_int": 11, "3550280538878172392600632": 11, "1352924163128814155241474": 11, "5355608832923521187995166": 11, "1767533932395528780908311": 11, "634482152088184489550553e": 11, "291": 11, "50j": [11, 14], "31790195707456404099817e": 11, "68": 11, "163588003770709748720107e": 11, "67j": 11, "041242537363167632587245e": 11, "158": [11, 26], "347525544923600321838281e": 11, "157j": 11, "huge": [11, 13, 15, 17, 21, 24, 32], "fine": 11, "162235978298741779953693e": 11, "289529654602171": 11, "0001736206448152818510510181": 11, "711508683721355528322567e": 11, "186339621747698": 11, "867245506962312577848166e": 11, "186339621747697": 11, "338107410459767038489197": 11, "2j": [11, 13, 14, 15, 16, 17, 19, 20, 24, 25], "everi": [11, 21, 24, 25, 28, 32], "355028": 11, "258819": 11, "0591713": 11, "0215683": 11, "wronskian": 11, "3183098861837906715377675": 11, "3788142936776580743472439": 11, "3145837692165988136507873": 11, "136442881032974223041732": 11, "943133917910336090459748e": 11, "9156": 11, "2588194037928067984051836": 11, "5176388075856135968103671": 11, "1292": 11, "30211615165475090663": 11, "3188": 11, "655054727379756351861": 11, "3299203760070217725002701": 11, "765698403134212917425148": 11, "2453596101351438273844725j": 11, "2939176441636809580339365": 11, "6666843728311539978751512": 11, "3333333332991690159427932": 11, "3333333333333333333333333": 11, "666666": 11, "4078472650651209742": 11, "333333074513": 11, "7520264995733": 11, "wolframfunct": [11, 17, 30], "6149266274460007351509224": 11, "207423594952871259436379": 11, "10399738949694461188869": 11, "02427388768016013160566747": 11, "041223996670201399005265e": 11, "288": [11, 15], "322076267321435669290334e": 11, "478450291165243789749427e": 11, "65j": 11, "157": [11, 15], "158j": 11, "369385787943539818688433e": 11, "289529654602165": 11, "001775656141692932747610973": 11, "559955931096196875845858e": 11, "186339621747689": 11, "822462726981357180929024e": 11, "186339621747690": 11, "17371322270912792491998": 11, "614927": 11, "448288": 11, "102488": 11, "0373574": 11, "1982896263749265432206449": 11, "675611222685258537668032": 11, "5948688791247796296619346": 11, "710055114624614989262335e": 11, "4482883573538263579148237": 11, "8965767147076527158296474": 11, "2238": 11, "332923903442675949357": 11, "5522": 11, "912562599140729510628": 11, "06200303130620056316655": 11, "01504042480614002045135483": 11, "5019859055341699223453257j": 11, "2809314599922447252139092": 11, "000002191261128063434047966873": 11, "147809803": 11, "1074067161675853": 11, "4482883750599908479851085": 11, "44828": 11, "52827206932872493133": 11, "2241411040": 11, "437759489540248": 11, "087949444130970616636989": 11, "520559828095551059129856": 11, "281": 11, "0315196125215528353364": 11, "018792971647471089017325": 11, "248197582179836537875424": 11, "820099211178735639400616": 11, "280": 11, "9378080358935070607097": 11, "verif": [11, 21, 32], "b_k": [11, 17, 25], "upper": [11, 13, 14, 28, 29], "beta_k": 11, "overlin": [11, 25], "beta": [11, 17, 18, 24], "271093302836352715680228": 11, "830737841662015932667709": 11, "9378112034152401578834": 11, "294439682614123246622459": 11, "073155089071828215552369": 11, "512395729663599496259593": 11, "0315164471118527161362": 11, "9775448867316206859469927": 11, "141290706038744575749139j": 11, "896775013895336346627217": 11, "627291764358919410440499j": 11, "633157739354946595708019": 11, "855468179979844983174628j": 11, "140": [11, 13], "4978560578493018899793": 11, "243": 11, "3907724215792121244867j": 11, "2149470745374305676088329": 11, "100600143302797880647194j": 11, "458168309223507392028211": 11, "912249367458445419235083j": 11, "273760763013482299792362": 11, "254528549217097862167015j": 11, "4509972835270559730423": 11, "3096175398562811896208j": 11, "conj": [11, 20], "rai": 11, "142532510286334022305364": 11, "047271114786212061583917": 11, "047197624741816183341355": 11, "047197551196597746154214": 11, "gi": 11, "int_z": [11, 14], "hi": 11, "diffun": [11, 22, 24], "2049755424820002450503075": 11, "1494294524512754526382746": 11, "2352184398104379375986902": 11, "1166722172960152826494198": 11, "03189600510067958798062034": 11, "003183105228162961476590531": 11, "0000003183098861837906721743873": 11, "0000003183098861837906715377675": 11, "08358288400262780392338014": 11, "02886866118619660226809581": 11, "10j": [11, 15, 17, 24, 25], "0061214102799778578790984": 11, "001224335676457532180747917j": 11, "236047850352252236372551e": 11, "29": [11, 21, 26], "08254224233701381482228e": 11, "29j": 11, "100000j": [11, 14, 24], "806659285336231052679025e": 11, "6474077": 11, "684731303500835514850962e": 11, "6474077j": 11, "connect": 11, "7287469039362150078694543": 11, "2447210432765581976910539": 11, "4099510849640004901006149": 11, "2988589049025509052765491": 11, "9722051551424333218376886": 11, "2206696067929598945381098": 11, "455641153": 11, "5163291358991077": 11, "138269638197858094311122e": 11, "289529652": 11, "0317685352825022727415011": 11, "003183092495767499864680483": 11, "100j": [11, 17, 21, 24], "366197716545672122983857e": 11, "003183098861710582761688475j": 11, "0001591549432510502796565538": 11, "000159154943091895334973109j": 11, "6095559998265972956089949": 11, "eta": [11, 22, 24], "regular": [11, 12, 14, 15, 17, 21, 22, 31, 32], "f_l": 11, "c_l": 11, "iz": [11, 24], "2l": [11, 20], "2iz": 11, "g_l": 11, "schroding": 11, "particl": 11, "potenti": [11, 17, 21], "quantum": 11, "f5": [11, 13], "4080998961088761187426445": 11, "7103040849492536747533465": 11, "143324917492256448770769e": 11, "4482623140325567050716179": 11, "066804196437694360046619": 11, "7997977752284033239714479": 11, "9294486669502295512503127j": 11, "michel": 11, "156": 11, "02107292320897e": 11, "83675545731519e": 11, "15j": 11, "6j": [11, 13], "30566371247811e": 11, "03347835361657e": 11, "19j": 11, "778709182061": 11, "134": 11, "18418936": 11, "2660553j": 11, "reproduc": 11, "twice": [11, 28], "09079533488": 11, "1042553261": 11, "2148205331": 11, "2029591779": 11, "4313159311": 11, "320534053": 11, "7212774133": 11, "3952408216": 11, "9935056752": 11, "3708676452": 11, "143337392": 11, "2937960375": 11, "thompson": 11, "barnett": 11, "comp": [11, 30], "phy": 11, "vol": [11, 30], "64": [11, 20, 24, 26], "june": [11, 30], "1986": [11, 24], "wide": 11, "0702051v1": 11, "chi": [11, 24], "sigma_l": 11, "sigma_": 11, "ln": [11, 14, 15, 20, 24], "380011900612186346255524": 11, "919153700722748795245926": 11, "201126715824": 11, "7329115106793": 11, "1802071520691149410425512": 11, "652103020061678070929794": 11, "08148276": 11, "6028279961": 11, "496877075": 11, "5661803178": 11, "048694714": 11, "7959909551": 11, "09408669": 11, "731802374": 11, "629840456": 11, "549343289": 11, "3088184933": 11, "67358": 11, "5554866000719": 11, "5554866221524": 11, "852320038297334": 11, "gamow": 11, "impli": [11, 23, 24, 25], "tricomi": 11, "kummer": [11, 17], "hyp1f1": 11, "0625": [11, 17, 24, 28], "1779949416140579573763523": 11, "1256256609322773150118907": 11, "1256256609322773150118907j": 11, "1719434921288400112603671": 11, "06674960718150520648014567": 11, "peopl": [11, 14, 17, 30], "sfu": [11, 14, 17, 24, 26, 30], "cbm": [11, 14, 17, 30], "aand": [11, 14, 17, 30], "page_504": [11, 17], "htm": [11, 14, 17], "2f": 11, "7302596799460411820509668": 11, "417977827655098025684246j": 11, "245477713363581112736478": 11, "822879187542699127327782j": 11, "303985255686378497193063e": 11, "21707": 11, "438869842576800225207341": 11, "128": [11, 13, 21], "19532063107581155661012": 11, "9424875979222187313924639": 11, "2607738054097702293308689j": 11, "1782899315111033879430369": 11, "01609578360403649340169406j": 11, "887705114889527446891274e": 11, "21705": 11, "905250692824046162462058e": 11, "notat": [11, 13, 17], "d_n": 11, "hermit": [11, 18], "d0": 11, "d1": 11, "d2": 11, "d3": 11, "d4": 11, "6266570686577501256039413": 11, "363331161232920734849056": 11, "858877821790010714163487j": 11, "374906442631438038871515e": 11, "6015625": 11, "03210358129311151450551963": 11, "75012332835297233711255": 11, "7978845608028653558798921": 11, "9722833245718180765617104": 11, "5142533944210078966003624": 11, "lazi": [12, 25], "automag": 12, "unari": 12, "2831853071795862": 12, "1415926535897931": [12, 32], "283185307179586476925286766559005768394338": 12, "141592653589793238462643383279502884197169": 12, "predefin": 12, "deg": 12, "180": [12, 17], "0174533": 12, "71828": 12, "61803": 12, "577216": 12, "915966": 12, "20206": 12, "68545": 12, "28243": 12, "261497": 12, "660162": 12, "histor": 13, "compris": 13, "arc": 13, "ellips": 13, "modern": [13, 15, 30], "omega_1": 13, "omega_2": 13, "im": [13, 21, 24, 29], "canon": 13, "broadli": 13, "quasi": 13, "parameter": 13, "nome": 13, "modulu": 13, "ratio": [13, 18, 19, 26], "tau": 13, "quantiti": 13, "vartheta_2": 13, "vartheta_3": 13, "abramowitzstegun": [13, 30], "whittakerwatson": [13, 30], "qbar": 13, "9999999999999798332943533": 13, "49586681013729": 13, "32611558353": 13, "704": 13, "3072": 13, "11488": 13, "38400": 13, "117632": 13, "9999999999999899166471767": 13, "7041781": 13, "096692038332790615j": 13, "infj": 13, "_2f_1": [13, 17, 20], "600": [13, 20], "31102877714605990523242": 13, "31102877714605990523242j": 13, "85407467730137191843385": 13, "9111955638049650086562171": 13, "6313342832413452438845091j": 13, "incomplet": [13, 15, 17, 18], "mt": 13, "cross": [13, 32], "sec": [13, 18], "226191170883517070813061": 13, "415737208425956198892166": 13, "340677542798311003320813": 13, "5287219202206327872978255": 13, "713602407841590234804143j": 13, "269131241950351323305741": 13, "3561052815014558335412538j": 13, "1011": 13, "4086": 13, "184383622179764082821": 13, "3003": [13, 15], "003538923749396546871j": 13, "appellf1": 13, "5050887275786480788831083": 13, "910098894513856008952381": 13, "5990701173677961037199612": 13, "5990701173677961037199612j": 13, "350643881047675502520175": 13, "360868682163129682716687": 13, "1238733442561786843557315j": 13, "499553520933346954333612": 13, "577879007912758274533309j": 13, "333333333333333333333333": 13, "8414709848078965066525023": 13, "751771275694817862026502": 13, "9974949866040544309417234": 13, "4740152182652628394264449": 13, "551991234890371873502105j": 13, "15299022574220502424466": 13, "2503670480325997418156j": 13, "48": [13, 15, 17, 20, 21, 24, 26, 28], "30138799412005235090766": 13, "47255216721987688224357j": 13, "4950017030164151928870375": 13, "4950017030164151928870376": 13, "nt": 13, "9555039270640439337379334": 13, "956616279119236207279727": 13, "11072073453959156175397j": 13, "7853981633974483096156609": [13, 23, 24], "622944760954741603710555": 13, "2513040086544925794134591": 13, "054332933256248668692452": 13, "135": [13, 26], "240868757890840755058": 13, "9190227391656969903987269": 13, "3612856620076747660410167": 13, "5217735339984807829755815j": 13, "degener": [13, 24], "r_f": 13, "notin": 13, "156515647499643235438675": 13, "211056027568459524803563": 13, "5840828416771517066928492": 13, "001847032121923321253219284": 13, "7961258658423391329305694": 13, "213856669836495986430094j": 13, "lemnisc": 13, "pv": 13, "r_c": 13, "cauchi": [13, 14], "dfrac": 13, "acosh": 13, "041630778983498390751238": 13, "aco": 13, "875180765206547065111085": 13, "3333969101113672670749334": 13, "7024814731040726393156375j": 13, "r_j": 13, "3535533905932737622004222": 13, "067937989667395702268688": 13, "380226776765915172432054": 13, "8505007163686739432927844": 13, "521291677592745527851168e": 13, "2398480997495677621758617": 13, "216888906014633498739952": 13, "04081912627366673332369512j": 13, "04081912627366673332369511j": 13, "r_d": 13, "2904602810289906442326534": 13, "r_g": 13, "6753219405238377512600874": 13, "172431327676416604532822": 13, "st": 13, "ct": 13, "su": 13, "cu": 13, "725503028069": 13, "vartheta_n": 13, "vartheta_1": 13, "vartheta_4": 13, "ll": 13, "compact": 13, "frequent": [13, 24, 32], "2945120798627300045053104": 13, "inde": [13, 26], "68179": 13, "420448": 13, "quasiperiod": 13, "682420280786034687520568": 13, "526683999721399103332021j": 13, "823744089352763305137427": 13, "extens": [13, 15, 17, 19, 20, 25, 27, 32], "086434811213308014575316": 13, "0549510717571539127004115835148878097035750653737": 13, "180331760146805926356634": 13, "634292858119162417301683j": 13, "209857192844475388637236": 13, "2598718791650217206533052": 13, "150231437070259644461474": 13, "6226636990043777445898114": 13, "9990312046096634316587882": 13, "1530388693066334936151174": 13, "9820995967262793943571139": 13, "3936902850291437081667755": 13, "99999999": [13, 25], "theta_q_lim": 13, "000000": 13, "sn": 13, "cn": [13, 20], "dn": 13, "charact": [13, 24], "letter": 13, "identifi": [13, 14, 15, 17], "ns": 13, "cd": 13, "9891101840595543931308394": 13, "07111979240214668158441418": 13, "9628981775982774425751399": 13, "2698649654510865792581416": 13, "8764740583123262286931578": 13, "dedekind": [13, 22], "7682254223260566590025942": 13, "9022859908439376463573294": 13, "07985093673948098408048575j": 13, "9022859908439376463573295": 13, "4493066139717553786223114": 13, "3290014793877986663915939j": 13, "36": [13, 14, 20, 24], "klein": 13, "invari": [13, 21], "g_2": 13, "27": [13, 14, 15, 24, 26], "g_3": 13, "weierstrass": [13, 15], "setminu": 13, "1728": 13, "625": [13, 17, 20, 24], "1507492166511182267125242": 13, "07595948379084571927228948j": 13, "07595948379084571927228946j": 13, "famou": [13, 24, 26], "196884": 13, "21493760": 13, "864299970": 13, "20245856256": 13, "heegner": 13, "43": [13, 24], "67": 13, "8000": 13, "3375": 13, "32768": 13, "884736": 13, "884736000": 13, "147197952000": 13, "262537412640768000": 13, "1264538": 13, "909475140509320227": 13, "cbrt": [13, 29], "13520": 13, "commonli": [14, 15, 18], "rise": [14, 17, 18, 20, 22], "author": 14, "00977212668627705160602312": 14, "0770637306312989892451977j": 14, "523793388892911312363331": 14, "083660630910611272288592e": 14, "10000000000000000": 14, "290402449901174752972486e": 14, "4342944819032375": 14, "1000000j": [14, 17, 24], "257913707524362408877881e": 14, "434284": 14, "556691003883483531962095e": 14, "434284j": 14, "10000000": [14, 17, 21, 24], "755146243738946045873491e": 14, "4771204": 14, "100000001": [14, 23], "100000000": 14, "078258353474186729184421e": 14, "43429441": 14, "60130296933533459267329": 14, "030425427232114336470932": 14, "2214577048967798566234192": 14, "1353352832366126918939995": 14, "326": 14, "872": 14, "00377935240984890647887486": 14, "691806732945198336509541": 14, "e_n": [14, 19, 24], "89511781635594": 14, "00377935240984891": 14, "928374389331410348638445906907535171566338835056": 14, "154091651642689822535359": 14, "294418620024357476985535j": 14, "similarli": 14, "93383257062542": 14, "bewar": 14, "_2f_2": [14, 17], "hyper": [14, 24], "769881289937359": 14, "gammabetaerf": [14, 15], "expintegralei": 14, "page_228": 14, "0002704758872637179088496194": 14, "negat": [14, 25], "02491491787026973549562801": 14, "073765894578600711923552": 14, "141592653589793238462643j": [14, 15], "int_1": 14, "zt": [14, 19], "00299658467335472929656159": 14, "06100816202125885450319632j": 14, "001803529474663565056945248": 14, "002235061547756185403349091j": 14, "584": 14, "2604820613019908668219": 14, "115366": 14, "5762594725451811138": 14, "offset": 14, "int_2": 14, "confus": [14, 15, 17, 24], "polylogarithm": [14, 15, 18, 27], "04516378011749278484458888919": 14, "45136923488338105028396848589": 14, "12043572466980515267839286347": 14, "1343755504645775265": 14, "6769247817778742392j": 14, "1635885946671919729": 14, "34294481903252e": 14, "3619719871407e": [14, 19], "theorem": [14, 19, 21], "925": 14, "320": 14, "391": 14, "606": [14, 17], "803": 14, "968": 14, "923": 14, "92532039161405e": 14, "693147180559945": [14, 21, 24, 28], "primecountingfunct": 14, "logarithmicintegr": 14, "int_x": 14, "3374039229009681346626462": 14, "07366791204642548599010096": 14, "408292501520849518759125": 14, "983617742029605093121118j": 14, "875060251748226537857298e": 14, "875060250875106915277943e": 14, "6165054856207162337971104": 14, "384180422551186426397851": 14, "anywher": [14, 17], "449410587611035724984376e": 14, "434287": 14, "75744874290013526417059e": 14, "434287j": 14, "190029749656644": 14, "239811742000565": 14, "9460830703671830149413533": 14, "851937051982466170361053": 14, "547513889562289219853204": 14, "399196580646054789459839j": 14, "570796326707584656968511": 14, "54993124494467": 14, "946083070367183": [14, 23], "8378669409802082408946786": 14, "5238225713898644064509583": 14, "1683628683277204662429321": 14, "625115880451325002151688j": 14, "057250875375728514571842": 14, "1931890762719198291678095": 14, "645432555362369624818525j": 14, "842700792949715": 14, "999977909503001": 14, "999999999998463": 14, "12838": 14, "376126": 14, "112838": 14, "52049987781304653768274665389196452873645157575796": 14, "316151281697947644880271": 14, "1904534692378346862841089j": 14, "1e1000": [14, 25], "128379167095512573896159e": 14, "1e7j": 14, "593897639029319267398803e": 14, "43429448190317j": 14, "1e7": 14, "9999999858172446172631323": 14, "728805278735270407053139e": 14, "complementari": [14, 19, 24], "08848758376254e": 14, "ludicr": 14, "3504398860243e": 14, "43429448190325182776": 14, "19739830969552e": 14, "107492": 14, "46072418957528e": 14, "107491j": 14, "65042575879754": 14, "999977909503001j": 14, "536643565778565": 14, "04914370344703j": 14, "04914370344703": 14, "536643565778565j": 14, "71130938718796e": 14, "3167287567024e": 14, "43429448190325182754": 14, "500j": 14, "49895233563961e": 14, "325717": 14, "6846779342253e": 14, "325717j": 14, "promis": 14, "99532226501895273416206925636725292861089179704006": 14, "564189583547756": 14, "ineffici": [14, 25], "rand": 14, "586747": 14, "10233": 14, "376796": 14, "926037": 14, "708142": 14, "732012": 14, "sigma": 14, "densiti": 14, "varianc": 14, "cumul": [14, 15], "053990966513188": 14, "107981933026376": 14, "sourc": [14, 30, 31, 32], "4382591473903547660767567": 14, "72546488399143842838788": 14, "58775110440458732748279j": 14, "4963129989673750360976123": 14, "7798934003768228294742064": 14, "08787137412548041729489": 14, "22568799288165021578758j": 14, "6057207892976856295561611": 14, "tool": [15, 31], "combinator": 15, "analysi": [15, 25, 30, 32], "33262154439442e": 15, "93326215443944150965646704795953882578400970373184098831012889540582227238570431295066113089288327277825849664006524270554535976289719382852181865895959724032": 15, "160": [15, 17, 20], "93326215443944152681699238856266700490715968264381621468592963895217599993229915608941463976156518286253697920827223758251185210916864000000000000000000000000": 15, "120": [15, 20], "886226925452758": 15, "32579620567308e": 15, "95657055186": 15, "32579597597705e": 15, "astronom": 15, "22311232304258e": 15, "29565705518096748172348871081098": 15, "reciproc": [15, 19, 21, 22], "1406926327793": [15, 21], "384": 15, "945": 15, "97272691416282e": 15, "17830": 15, "97262736954392e": 15, "0666666666666667": 15, "3697207890154e": 15, "93665300979176e": 15, "12j": [15, 24], "immens": 15, "13805976125208e": 15, "43675043585825292774": 15, "3715891200": 15, "05940740534258": 15, "erf": [15, 31], "06015693855741": 15, "beauti": 15, "ramanujan": 15, "90917279454693": 15, "factorial2": 15, "0002": 15, "doublefactori": 15, "pascal": 15, "triangl": 15, "empti": [15, 28], "33333333333333e": 15, "60784095465201e": 15, "104342944813": 15, "nonintegr": [15, 20, 24], "09375": 15, "0546875": 15, "0375977": 15, "77245385090552": 15, "32335097044784": 15, "91510229697308632046045539308226554038315280564184": 15, "009902440080927490985955066": 15, "07595200133501806872408048j": 15, "9328495143101e": 15, "1956570551809674817225": 15, "1666666666666666666666667": 15, "485168143266784862783596e": 15, "2565": 15, "807770242028519365221501": 15, "a_p": [15, 17], "b_0": [15, 19, 21], "b_q": [15, 17], "denomin": [15, 26], "nonposit": [15, 17, 24], "match": [15, 26], "agre": [15, 19, 32], "computation": [15, 19, 20], "49400419456603678498394": 15, "756626784603784110530604": 15, "742664438034657928194889j": [15, 24], "540520869144928548730397j": 15, "265512123484645396488946": 15, "8600470153764810145109327": 15, "283185307179586476925287j": 15, "05624371649767405067259453": 15, "42477796076937971538793j": 15, "6931471805599453094172321": [15, 19, 24], "200973602347074224816022": 15, "1e30": 15, "807755278982137052053974e": 15, "1e300": 15, "897755278982137052053974e": 15, "302": [15, 24], "1e3000": 15, "906755278982137052053974e": 15, "1e100000000000000000000": 15, "302585092994045684007991e": 15, "100000000000000000020": 15, "1e30j": 15, "570796326794896619231322e": 15, "31j": 15, "1e300j": 15, "300": [15, 19, 20, 32], "302j": [15, 24], "1e3000j": 15, "3003j": 15, "9189385332046727417803297": 15, "9619286014994750641314421": 15, "219637303741238195688575j": 15, "688493531222971393607153": 15, "554898911356806978892748j": 15, "1539414829219882371561038": 15, "1020485197430267719746479j": 15, "092851753092733349564189": 15, "302396543466867626153708j": 15, "pochhamm": [15, 18], "7202": 15, "03920483347": 15, "3777": 15, "58810701527j": 15, "720": [15, 20], "41085888203": 15, "316": 15, "101124983878j": 15, "0333333333333333": 15, "266666666666667": 15, "079424249270925780135675": 15, "410032405664160838288752j": 15, "037890298781212201348153837138927165984170287886464": 15, "0230880230880231": 15, "319504062596158": 15, "4010": 15, "2241657956955709603655887": 15, "3619619242700451992411724j": 15, "4375": 15, "0833333333333": 15, "673": 15, "1152": 15, "superfactori": 15, "sf": 15, "barn": 15, "oei": 15, "a000178": 15, "34560": 15, "24883200": 15, "125411328000": [15, 19], "05658474496e": 15, "83493347225108e": 15, "24570818422368e": 15, "1177245": 15, "61398543581249e": 15, "467427913956904067453": 15, "20051550121297985285333": 15, "005915485633199789627466468": 15, "008156449464604044948738263j": 15, "2645072034016070205673056": 15, "a002109": 15, "108": [15, 19], "27648": 15, "86400000": 15, "4031078400000": 15, "3197663987712e": 15, "56964379417266e": 15, "15779412229419e": 15, "46458120882585e": 15, "1392926": 15, "60408207642219e": 15, "489142638002418704309": 15, "880449235173423": 15, "581061466795327": 15, "205": [15, 19], "211134637462": 15, "01144471378225e": 15, "46": [15, 17], "45285242480185e": 15, "46j": 15, "49795891462086e": 15, "33262283196162e": 15, "7j": 15, "28170142849352": 15, "9842119922237": 15, "215779412229418562091680268288000000000000000": 15, "89404818005227001975423476035729076375705084390942": 15, "603244281209446": 15, "glaisher": [15, 18], "29375596533861": 15, "nthroot": [15, 21], "catalan": [15, 18, 24, 26], "39292119327948": 15, "kinkelin": 15, "847536694177301": 15, "264507203401607": 15, "2548": 15, "7457695685": 15, "00535976768353037": 15, "000676375932234244": 15, "42236140124728e": 15, "81305501090451340843586085064413533788206204124732": 15, "000000000021852360840356557241543036724799812371995850552234": 15, "00000000000070035335320062304849020654215545839053210041457588": 15, "10361006263698e": 15, "6626": 15, "101": [15, 19], "94463017605008e": 15, "14322868174828e": 15, "167480422": 15, "21133054865546e": 15, "1173597": 15, "27461836811016e": 15, "1173597j": 15, "43114569750291e": 15, "1026623": 15, "24851410674842e": 15, "1026623j": 15, "whittak": [15, 17, 18, 30], "watson": [15, 30], "cambridg": [15, 30], "univers": [15, 30], "4th": [15, 30], "1927": [15, 19], "264": 15, "barnes_g": 15, "doc": [15, 23, 31], "83333333333333": 15, "08333333333333": [15, 28], "28333333333333": 15, "59285714285714": 15, "230": [15, 21], "835724964306": 15, "613705638880109": 15, "24757548223494": 15, "850502209186044j": 15, "0198773448773448773448773448773448773448773448773": 15, "8727388590273302654363491032336134987519132374152": 15, "glacial": 15, "pace": 15, "exce": 15, "15092688622113788323693563264538101449859496": 15, "864101": 15, "ceil": [15, 29], "15092688622113788323693563264538101449859497": 15, "999999999999999999999999999999999999999999942747": 15, "000000000000000000000000000000000000000000009": 15, "543080634815243778477906": 16, "convex": 16, "0416667": [16, 21, 23], "724545504915322565473971": 16, "5118225699873846088344638j": 16, "175201193643801456882382": 16, "590564589985779952012565": 16, "5309210862485198052670401j": 16, "7615941559557648881194583": 16, "sigmoid": 16, "Its": [16, 24], "333333": [16, 17, 21, 23, 24, 28], "133333": [16, 23], "9653858790221331242784803": 16, "009884375038322493720314034j": 16, "cosec": [16, 23], "cotang": [16, 23, 26], "mere": 17, "_pf_q": [17, 24], "thereof": [17, 26], "twodimension": 17, "standalon": 17, "demonstr": [17, 26], "docstr": [17, 27], "hyp": 17, "therebi": [17, 26], "maxprec": [17, 25], "zeroprec": [17, 20], "accurate_smal": 17, "hmag": 17, "force_seri": 17, "asymp_tol": 17, "elimin": 17, "confluent": [17, 18], "130318207984970054415392": 17, "1234567": [17, 24], "27287187546220705604627e": 17, "964": 17, "905169561300910030267132e": 17, "807708544441684513934213e": 17, "606j": 17, "131705322874965310390701e": 17, "8685889638065036553022565": 17, "115945364792025420300208e": 17, "af": 17, "hyperu": 17, "whitm": 17, "whitw": 17, "2815": 17, "956856924817275640248": 17, "145036502407444445553107": 17, "021799872770764149793693e": 17, "441": 17, "000003131987633006813594535331": 17, "189190365227034385898282e": 17, "106169926814270418999315e": 17, "49j": 17, "261": 17, "8977905181045142673351": 17, "8930312845682213562172j": 17, "890569218254486878220752e": 17, "43429448190325182745": 17, "935753855797342532571597e": 17, "291911213325184901239155e": 17, "20j": [17, 19, 24], "269381460919952778587441": 17, "gammaprod": 17, "a1": [17, 20, 28], "b1": 17, "b2": 17, "a_2": [17, 22], "b_2": [17, 19, 22], "159388148811981535941434e": 17, "8685889639": 17, "60262607892655945795907": 17, "237220401382240876065501e": 17, "6141851464": 17, "950930337531768015892987e": 17, "6141851464j": 17, "135881": 17, "9905586966432662004": 17, "86681": 17, "95885418079535738828j": 17, "_2f_0": [17, 20], "formal": [17, 24], "07095851870980052763312791": 17, "03254379032170590665041131": 17, "07269254613282301012735797j": 17, "3579987031082732264862155": 17, "052951783922142735255881j": 17, "2f0": 17, "05": [17, 28], "04166637647907": 17, "34584913683906e": 17, "0005": 17, "00037535207621": 17, "009": 17, "23828e": 17, "291793": 17, "recov": [17, 19, 20, 21], "5625": [17, 21], "gauss": [17, 20], "comprehens": [17, 30], "insid": 17, "303703703703703703703704": 17, "7431290566046919177853916": 17, "418075801749271137026239": 17, "114976146679907015775102j": 17, "8235498012182875315037882": 17, "9144026291433065674259078": 17, "2050415770437884900574923j": 17, "9274013540258103029011549": 17, "7455257875808100868984496j": 17, "9931169055799728251931672": 17, "06154836525312066938147793j": 17, "8834833319713479923389638": 17, "7053886880648105068343509j": 17, "06926406926406926406926407": 17, "1e100": 17, "883714220959876246415651e": 17, "365499358305579597618785e": 17, "33j": 17, "1e1000000": 17, "333332": 17, "333333j": 17, "1e1000000j": 17, "333332j": 17, "9480458814362824478852618": 17, "a2": [17, 20, 28], "275758229007902299823821e": 17, "43429448190325182663": 17, "2561445": 17, "079983207701073448": 17, "2218276": 17, "509664121194836667": 17, "1280722": 17, "539991603850462856j": 17, "80500": 17, "68321405666957342788": 17, "20346": 17, "82752982813540993502j": 17, "b3": 17, "_2f_3": 17, "b_3": [17, 19], "169178177065714963568963e": 17, "8685889590": 17, "7064472": 17, "587757755088178629": 17, "163368465314934589818543e": 17, "6141851415": 17, "783578125755972803440364e": 17, "6141851416j": 17, "2280": 17, "938956687033150740228": 17, "13620": 17, "97336609573659199632j": 17, "20000000j": 17, "849835186175096516193e": 17, "3504": 17, "365981529122220091353633e": 17, "3504j": 17, "a3": 17, "_3f_2": 17, "a_3": 17, "structur": [17, 20], "083533123380934241548707": 17, "1574651066006004632914361": 17, "03194209021885226400892963j": 17, "3071141169208772603266489": 17, "4857045320523947050581423": 17, "5988311440454888436888028j": 17, "157370995096772047567631": 17, "74518490615029486475959": 17, "1454701525056682297614029j": 17, "9829816481834277511138055": 17, "4059040020276937085081127j": 17, "41": [17, 19], "564877796743282766872279": 17, "76821518787438186031973e": 17, "11j": 17, "0001j": 17, "564747153061671573212831": 17, "0001305757570366084557648482j": 17, "9999": 17, "564616644881686134983664": 17, "7823896253461678060196207": 17, "4246104461966439006086308": 17, "111111111111111111111111": 17, "7621440939243342419729144": 17, "4249117735058037649915723j": 17, "ellip": 17, "factori": [17, 18, 19, 21, 27], "078903941164934876086237": 17, "fn": 17, "9923571616434024810831887": 17, "005753848733883879742993122j": 17, "_0f_0": 17, "_1f_0": 17, "14069263277926900572909": 17, "09069132879922920160334114": 17, "3283224323946162083579656j": 17, "7904761904761904761904762": 17, "83": 17, "undefin": [17, 24], "unless": [17, 19], "_4f_3": 17, "4f3": 17, "141783505526870731311423": 17, "5f4": 17, "543998916527972259717257": 17, "5876309929580408028816365j": 17, "6f5": 17, "9996565821853579063502466": 17, "0129721075905630604445669j": 17, "Near": 17, "219433352235586121250027": 17, "eps1": 17, "2923978034": 17, "412973409330956": 17, "_pf_": 17, "abort": 17, "622806053177969474396918e": 17, "4310": 17, "borel": 17, "340965419580146562086448": 17, "8503366631752726568782447j": 17, "4f1": 17, "108287213689475145830699": 17, "5327107430640678181200491j": 17, "_3f_1": 17, "08": 17, "0725535790737": 17, "07269542893559": 17, "54668863216891e": 17, "946344925484879": 17, "946312503737771": 17, "9463125037377662296700858": 17, "268943190440206905892212e": 17, "4321": 17, "unambigu": 17, "consist": 17, "toggl": 17, "eliminate_al": 17, "param": 17, "discard_known_zero": 17, "l_r": 17, "w_": 17, "c_": 17, "m_r": 17, "alpha_": 17, "n_r": 17, "beta_": 17, "p_r": 17, "q_r": 17, "z_r": 17, "oppos": 17, "1f1": 17, "769832308689": 17, "dot": [17, 25, 29], "b_m": 17, "int_l": 17, "b_j": 17, "a_j": 17, "ds": [17, 20], "implicit": 17, "constitut": 17, "confusingli": 17, "_qf_": 17, "forward": [17, 25, 26], "487735836358525720550369": 17, "natur": [17, 18, 21, 28], "178654996341646117219023": 17, "6923076923076923076923077": 17, "4389807929218676682296453": 17, "3544090145996275423331762": 17, "j_a": 17, "y_a": 17, "i_a": 17, "k_a": 17, "5059425789597154858527264": 17, "1853868950066556941442559": 17, "bess": 17, "8685913322427653875717476": 17, "096964974460199200551738j": 17, "09334163695597828403796071": 17, "00172839843123091957468712": 17, "55984467443050210115617": 17, "messi": 17, "3323667133658557271898061": 17, "06417628097442437076207337": 17, "1428699426155117511873047": 17, "meijer_g": 17, "hypergeometricfunct": 17, "meijerg1": 17, "_ah_b": 17, "b_b": 17, "a_a": 17, "_2h_2": 17, "dougal": 17, "49118026212345786148847": 17, "_1h_0": 17, "2454393389657273841385582": 17, "2454393389657273841385582j": 17, "slater": [17, 30], "189": 17, "bilateral_hypergeometric_seri": 17, "a_r": [17, 22], "dict": [17, 26], "kei": 17, "_m": 17, "ye": 17, "No": [17, 25, 30], "appel": [17, 30], "f_4": 17, "distinct": [17, 21], "enumer": [17, 19], "horn": 17, "kamp": 17, "de": [17, 24], "feriet": 17, "inner": 17, "swap": 17, "666666666666666666666667": 17, "164358531238938319669856": 17, "013417124712514809623881": 17, "six": 17, "g1": 17, "g3": 17, "c1": [17, 20], "c2": [17, 20], "139090746": 17, "g2": 17, "9503682696": 17, "029372029": 17, "605331256": 17, "35405404": 17, "974479074": 17, "srivastavakarlsson": [17, 30], "hornfunct": 17, "appellhypergeometricfunct": 17, "respecto": 17, "154700538379251529018298": [17, 23], "138403860350148085179415": 17, "510544741058517621110615j": 17, "816": 17, "20528": 17, "0006231042714165329279738662": 17, "0000005769149277148425774499857j": 17, "1782604566893954897128702": 17, "002472407104546216117161499j": 17, "07122993830066776374929313": 17, "547902270302684019335555": 17, "717202506168937502740238": 17, "792526803190927323077905j": 17, "map": [17, 28], "mpmathifi": [17, 20], "num": 17, "073335358785776206576981": 17, "092829171999626454344678": 17, "1106": 17, "323225040235116498927": 17, "ellipt": [17, 18, 27, 30], "categori": [17, 32], "ae": 17, "9273298836244400669659042": 17, "057495752337234229715836": 17, "198140234735592207439922j": 17, "ellipticintegr": 17, "elliptice2": 17, "cabralrosetti": [17, 30], "viduna": [17, 30], "257417193533135344785602": 17, "9880539519421899867041719": 17, "01497616165031102661476978j": 17, "201311219287411337955192": 17, "09455532250274744282125152": 17, "7647282253046207836769297j": 17, "2299211717841180783309688": 17, "f_3": 17, "221557778107438938158705": 17, "5189554589089861284537389": 17, "1454441043328607980769742j": 17, "7876136773677356641825": 17, "54768762233649126154534j": 17, "85": [17, 24], "02054175067929402953645": 17, "148": 17, "4402528821177305173599j": 17, "719992169545200286696007": 17, "093432340896087107444363": 17, "01568646277445385390945083": 17, "03947361709111140096947": 17, "286182069079718313546608": 17, "125j": 17, "2585967215437846642163352": 17, "436102233553582711818743j": 17, "129143488466850868248364": 17, "csc": [18, 24], "golden": [18, 19, 26], "aperi": 18, "khinchin": 18, "merten": [18, 24], "twin": 18, "twinprim": 18, "nth": 18, "radian": 18, "binomi": [18, 19, 20], "super": 18, "hyperfactori": 18, "polygamma": [18, 24], "hankel": 18, "kelvin": 18, "struve": 18, "anger": 18, "weber": 18, "lommel": 18, "airi": 18, "scorer": 18, "coulomb": 18, "parabol": 18, "cylind": 18, "legendr": 18, "gegenbau": 18, "laguerr": 18, "spheric": 18, "meijer": 18, "bilater": 18, "carlson": [18, 30], "modular": 18, "hurwitz": 18, "lerch": 18, "transcend": 18, "clausen": [18, 19], "combinatori": [18, 27], "fibonacci": [18, 28], "bernoulli": 18, "bell": [18, 24], "cyclotom": 18, "wast": 19, "alia": [19, 21], "12586269025": 19, "backward": 19, "8057117299251e": 19, "280571172992510140037611932413038677189525": 19, "stupend": 19, "49052338550226e": 19, "2089876402499787337692720": 19, "1170270579161": 19, "5248": 19, "51130728372": 19, "14195": 19, "962288353j": 19, "183802359692956": 19, "57077646820395": 19, "4999999596115": 19, "5000000000479": 19, "relationship": 19, "6180339887498948482045868343656381177203127439638": 19, "6180339887498948482045868343656381177203091798058": 19, "35988566624318": 19, "amazingli": 19, "82451515740692": 19, "11803398874989": 19, "fibonaccinumb": 19, "lowest": 19, "66": 19, "691": 19, "2730": 19, "2338224387510": 19, "len": [19, 21, 25], "27692": 19, "04942396360948e": 19, "27677": 19, "von": [19, 24], "staudt": 19, "reconstruct": 19, "program": [19, 25], "calcbn": 19, "ex": 19, "vonstaudt": 19, "clausentheorem": 19, "www": [19, 24, 26, 30], "0333333": 19, "66667": 19, "253113553113553": 19, "838224957069370695926416e": 19, "78": 19, "318704469415522036482914e": 19, "1769": 19, "61": 19, "1385": 19, "50521": 19, "053285248188621896314384e": 19, "54": [19, 24], "887561841253070615257336e": 19, "2371": 19, "346791453661149089338186e": 19, "1936958564106659551331": 19, "69919063017432362805663e": 19, "436961": 19, "699193712834466537941283e": 19, "6053285248188621896314383785111649088103498225146815121": 19, "1925859625": 19, "1001": [19, 28], "2e": [19, 25], "423": 19, "11111111112": 19, "994957561486776072734601e": 19, "351": 19, "47990": 19, "235980": 19, "5e": [19, 25], "000035001225": 19, "55": [19, 24, 28], "4400": 19, "4087072509293123892361": 19, "29047999988194114177943e": 19, "628120031122876847764566e": 19, "2070": 19, "149364285543783412210773e": 19, "30688": 19, "partit": [19, 22, 25], "log_": [19, 21], "polyexp": 19, "dobinski": 19, "modif": 19, "10767": 19, "71345136587098445143": 19, "15449": 19, "55065599872579097221j": 19, "90": 19, "65": 19, "203": 19, "877": 19, "4140": 19, "21147": 19, "267": 19, "185724268771078270438257767181908917499221852770": 19, "29113173035759403920216141265491160286912": 19, "237132026969293954162816e": 19, "1869": 19, "989901335682408421480422e": 19, "591553486811969380442171e": 19, "1987": [19, 30], "101014101401543575679639e": 19, "2529": 19, "det": 19, "superfac": 19, "dobinskisformula": 19, "ff": 19, "864498971768501633736628e": 19, "286449897176850163373662803014001546235808317440000": 19, "641822121003543906807485e": 19, "2641822121003543906807485307053638921722527655": 19, "2656": 19, "loos": 19, "schoenfeld": 19, "truth": 19, "hypothesi": 19, "168": 19, "moder": 19, "1209": 19, "1283": 19, "1229": 19, "5070": 19, "5263": 19, "5133": 19, "1925320391606803968923": 19, "9253203909477020467e": 19, "925320392280406229e": 19, "9219865355293e": 19, "nonrigor": 19, "3619719871407024816e": 19, "3619719871407032404e": 19, "gram": [19, 24], "million": [19, 26], "nearest": [19, 25, 32], "9757023241462": 19, "feasibl": [19, 26], "46923988977204e": 19, "3448325764012e": 19, "996": 19, "shown": [19, 24, 26, 29], "parenthes": 19, "9592": 19, "78498": 19, "664579": 19, "5761455": 19, "50847534": 19, "rerr": 19, "lerr": 19, "56458314100509": 19, "141": 19, "1655995047873": 19, "541": 19, "6616332669242": 19, "0265": 19, "1261415840796": 19, "359446281167": 19, "00214": 19, "609657990152": 19, "0572": 19, "1226": 19, "93121834343": 19, "00168": 19, "1246": 19, "13721589939": 19, "0139": 19, "9587": 19, "43173884197": 19, "000476": 19, "9629": 19, "8090010508": 19, "00394": 19, "78527": 19, "3994291277": 19, "000375": 19, "78627": 19, "5491594622": 19, "00165": 19, "664667": 19, "447564748": 19, "000133": 19, "664918": 19, "405048569": 19, "000511": 19, "5761551": 19, "86732017": 19, "68e": 19, "5762209": 19, "37544803": 19, "000131": 19, "50847455": 19, "4277214": 19, "55e": [19, 28], "50849234": 19, "9570018": 19, "35e": 19, "141903028110784": 19, "1050": [19, 28], "950": 19, "72934743264966261918857135136": 19, "551002208155486427591793957644": 19, "16966398138119450043195899746j": 19, "phi_n": 19, "primit": [19, 21], "unitroot": 19, "moebiu": 19, "phi_0": 19, "phi_1": 19, "phi_2": 19, "phi_3": 19, "phi_4": 19, "phi_5": 19, "phi_6": 19, "nois": 19, "419": 19, "360": 19, "146045605088568607055454e": 19, "permut": [19, 21], "8660254037844386467637232j": 19, "945910149055313305105353": 19, "94": 19, "04531122935739224600493": 19, "10001": [19, 20], "10013": 19, "39669326311478372032": 19, "p_1": 20, "mutual": 20, "p_n": 20, "p_m": 20, "easili": [20, 25, 26], "articl": [20, 32], "p_": 20, "57735": 20, "774597": 20, "861136": 20, "339981": 20, "94952805264875": 20, "1071073099422j": 20, "222222222222222": 20, "73": 20, "legendrep": 20, "2zf": 20, "q_n": 20, "149": 20, "972260393822275434196053": 20, "972260393822275434196053j": 20, "335677248386698208736542": 20, "663270217461022307645625j": 20, "deq": 20, "legendreq": 20, "eq": 20, "8186632680417568557122028": 20, "6655964618250228714288277": 20, "3937692045497259717762649j": 20, "95256487468541686564": 20, "6011": 20, "691337610097577791134j": 20, "7298060598018049369381857": 20, "902916572420817192300921": 20, "1998650072605976600724502j": 20, "040524284763495081918338": 20, "7298060598018049369381857j": 20, "1998650072605976600724502": 20, "t_n": 20, "57079632596448": 20, "u_n": 20, "5707963267949": [20, 25], "4609375": 20, "309983": 20, "84119": 20, "26933": 20, "26699": 20, "34808": 20, "9047619047619": 20, "a0": 20, "26560": 20, "2328981879": 20, "21503": 20, "7641037294": 20, "5056": 20, "46879445852": 20, "ultraspher": 20, "2a": [20, 24], "2485": 20, "012757178975667428359374e": 20, "2322": 20, "5038991": 20, "358609026523401901": 20, "9414549": 20, "285447104177860806j": 20, "8989": 20, "2zt": 20, "cm": [20, 30], "h_0": 20, "h_1": 20, "2z": [20, 24], "h_": 20, "398": 20, "950440066552087387515653e": 20, "19334": 20, "7999999999999998800000000": 20, "675159751729877682920301e": 20, "4342944819032534": 20, "07652130602993513389421901": 20, "1084662449961914580276007j": 20, "480": 20, "02769459142039868792653387": 20, "08333333333333333333333333": [20, 24], "2215567313631895034122709": 20, "8862269254527580136490837": 20, "1680": 20, "l_n": 20, "l_0": 20, "l_1": 20, "l_2": 20, "03726399739583333333333333": 20, "474921610704496808379097": 20, "02058050372068958069241j": 20, "49980001": 20, "327764910194842158583189e": 20, "4328": 20, "96": [20, 21], "72": [20, 25], "4320": 20, "5400": 20, "2400": 20, "450": 20, "lm": 20, "y_l": 20, "p_l": 20, "polar": 20, "north": 20, "south": 20, "azimuth": 20, "sphere": 20, "splot": [20, 29], "expj": 20, "2820947917738781434740397": 20, "1221506279757299803965962": 20, "2115710938304086076055298j": 20, "3454941494713354792652446": 20, "orthonorm": 20, "l1": 20, "m1": 20, "l2": 20, "m2": 20, "0000000000000007": 20, "750": 20, "776445785304252879026585e": 20, "102": [20, 24], "82441278771834794493484e": 20, "102j": 20, "44922331113759992154992": 20, "1981": 20, "693919841408089681743j": 20, "16227766016838": 21, "09868411346781": 21, "455089860562227j": 21, "9329332815": 21, "4142135623730949234": 21, "4142135623730951455": 21, "9999999999999995559": 21, "0000000000000004441": 21, "euclidean": [21, 28], "cube": 21, "9999999999999991": 21, "866025403784439j": 21, "equidist": 21, "uniqu": [21, 28, 32], "circumst": 21, "zeta_k": 21, "modulo": [21, 25], "back": [21, 28, 31, 32], "16807": 21, "0000000000000009": [21, 25], "584893192461113485202101373391507013269442133825": 21, "07721734501594": 21, "86579517236206j": 21, "15443469003188": 21, "7th": 21, "24747270589553": 21, "166227124177353j": 21, "647824911301003": 21, "07895435170559j": 21, "439648254723098": 21, "17920694574172j": 21, "19605731775069": 21, "391492658196305j": 21, "05181082538903": 21, "691023585965793j": 21, "115529328478668": 21, "25318497558335j": 21, "907748109144957": 21, "871672518271819j": 21, "210": 21, "zeta_0": 21, "zeta_1": 21, "zeta_": 21, "zeta_j": 21, "pmod": 21, "polygon": 21, "vertic": [21, 29], "866025j": 21, "four": [21, 24], "12th": 21, "866025": 21, "group": 21, "cyclic": 21, "whole": 21, "866025403784438j": 21, "totient": 21, "yi": 21, "718281828459045235360287": 21, "3678794411714423215955238": 21, "806818225662921587261496e": 21, "4342": 21, "135483865314736098540939e": 21, "4343": 21, "71828182845904523536028749558": 21, "140692632779269005729": 21, "8984304016040616": 21, "22464679914735e": 21, "16j": 21, "own": [21, 23], "41421356237309504880168872421": 21, "43112609": 21, "displai": [21, 29, 32], "16470269330255923143453723949e": 21, "12978188": 21, "5403023058681397174009366": 21, "8414709848078965066525023j": 21, "1987661103464129406288032": 21, "3095598756531121984439128j": 21, "04321391826377224977441774": 21, "suffer": 21, "00000008274037e": [21, 25], "00000000005e": [21, 25], "99999995": 21, "00000012791934e": 21, "fadd": 21, "93147180559945e": 21, "100001": 21, "23370055013617e": 21, "5707963267949e": 21, "log_b": [21, 32], "unspecifi": 21, "5707963267949j": 21, "14159265358979j": 21, "6094379124341": 21, "142857": 21, "1447298858494001741434273513530587116472948129153": 21, "33333333333333333333333333333333333333333333333333": 21, "609437912434100374600759": 21, "9272952180016122324285125j": 21, "00000008269037e": 21, "9999999995e": 21, "201": 21, "multivalu": [21, 23], "corless": [21, 30], "5671432904097838729999687": 21, "853581755409037807206819": 21, "11353553941214591260783j": 21, "047020464221569709378686": 21, "155": 21, "4763860949415867162066j": 21, "tower": 21, "6411857445049859844862005": 21, "249602852401596227126056": 21, "907755278982137052053974": 21, "224": 21, "8431064451185015393731": 21, "2585092994045684017991": 21, "666666667": 21, "208333333": 21, "56637061435917295385057j": 21, "84955592153875943077586j": 21, "9911485751285526692385j": 21, "join": 21, "9999999999998371330228251": 21, "000000000000162866977175": 21, "22007971483662e": 21, "9j": 21, "999999966242188": 21, "46410161513775": 21, "48202767635957": 21, "261085515723": 21, "643448704": 21, "760133": 21, "34814309345871e": 21, "262166887202249": 21, "0025": 21, "262172347753122": 21, "51055133276184": 21, "547394054060638j": 21, "1679581912": 21, "parametr": [21, 29], "451115405388492": 21, "62560990822191": 21, "3k": 22, "725305": 22, "4628842231660149089976379": 22, "481821753552703090628793j": 22, "604800": 22, "4112484791779547734440257": 22, "228348867038575112586878": 22, "gamma_q": 22, "046875": 22, "121226245": 22, "1663082382255199834630088": 22, "01952474576025952984418217j": 22, "428277424823760954685912": 22, "_q": 22, "_z": 22, "2080": 22, "4370556551322672478613695": 22, "2609739839216039203708921j": 22, "_r": 22, "phi_": 22, "1975849091263356009534385": 22, "806330244925716649839237": 22, "568997623337943121769938j": 22, "112885171773400017270226": 22, "272756997166375050700388j": 22, "6221136748254495583228324": 22, "angl": [23, 25, 28], "everywher": 23, "libari": 23, "erron": [23, 26, 29], "0471975511966": 23, "9802850113244713353133243": 23, "189625690968807230132555": 23, "109227893755336597979197j": 23, "00138889": 23, "540302305868139717400936602301": 23, "41614683654714238699756823214": 23, "8660254037844386467637232": 23, "1975887055794968911438743": 23, "1544991469114295734673": 23, "168906959966564350754813j": 23, "841470984807896506652502331201": 23, "732050807568877293527446": 23, "2015625081449864533091058": 23, "003764025641504248292751221": 23, "003238627353609801446359j": 23, "55740772465490223050697482944": 23, "10000001": 23, "184723164360392819100265": 23, "04167496441114427004834991": 23, "0906111371962375965296612j": 23, "208333": 23, "0847222": 23, "85081571768092561791175326276": 23, "864910497503629858938891": 23, "09047320975320743980579048": 23, "04120098628857412646300981j": 23, "18839510577812121626159943988": 23, "5773502691896257645091488": 23, "574131876209625656003562": 23, "003739710376336956660117409": 23, "9967577965693583104609688j": 23, "642092615934330703006419974862": 23, "arccosin": 23, "5708": 23, "075": 23, "566370614359172953850574": 23, "arcsin": 23, "5752220392306202846120698": 23, "arctang": 23, "000000000000000000000001": 23, "141592653589793238462644": 23, "unnorm": 23, "mbox": 23, "entail": 23, "pertain": 24, "siegel": 24, "reflect": 24, "nonrat": 24, "644934066848226436472415": 24, "000000000000000888178421": 24, "5772156649015328606065121": 24, "03373057338827757067584698": 24, "2774499251557093745297677j": 24, "389": 24, "6841230140842816370741": 24, "295": 24, "2674610150305334025962j": 24, "critic": 24, "13472514173469379045725j": 24, "21j": 24, "02203963877155499262848j": 24, "01085758014568876321379j": 24, "height": 24, "073032014857753132114076": 24, "780848544363503984261041j": 24, "9535316058375145020351559": 24, "9525945894834273060175651j": 24, "10000000j": 24, "45804061057709254500227": 24, "643437226836021723818215j": 24, "100000000j": 24, "12433106710194942681869": 24, "87221167872304520599418j": 24, "444": 24, "2760822795430400549229": 24, "896": 24, "3789978119185981665403j": 24, "3230": 24, "72682687670422215339": 24, "14374": 24, "36950073615897616781j": 24, "11967": 24, "35573095046402130602": 24, "218945": 24, "7817789262839266148j": 24, "859846483332530337008882": 24, "491808047480981808903986j": 24, "333835494679647915673205": 24, "08405337962602933636096103j": 24, "453": 24, "2764822702057701894278": 24, "581": 24, "963625832768189140995j": 24, "3949340668482264364724152": 24, "541879647671606498397663": 24, "5408324774542966919938": 24, "675565317808456852310934": 24, "2432902008176640000": 24, "000242": 24, "140075548947797130681075": 24, "3109263360275413251313634j": 24, "10407": 24, "16081931495861539236": 24, "13777": 24, "78669862804508537384j": 24, "007180821099823942702249e": 24, "916117957092593868321778e": 24, "78j": 24, "9375482543158437537025741": 24, "9946401171494505117104293": 24, "000024300473840810940657": 24, "000061933072352565457512": 24, "000006869443931806408941": 24, "000000173233769531820592": 24, "9999999569989868493432399": 24, "9999999937218844508684206": 24, "9999999996355013916608284": 24, "000000000004610645020747": 24, "81": 24, "01234567901234567901234568": 24, "2899236037682695182085988": 24, "06561206166091757973112783j": 24, "0005117269627574430494396877": 24, "156360390440003294709": 24, "68162300487989766727122e": 24, "77": 24, "01521913704446246609237979": 24, "29907": 24, "72510874248161608216j": 24, "031911949062334538202567e": 24, "1770": 24, "519555750556794218804724e": 24, "426j": 24, "32988355630802510888631": 24, "17706465801374033261383j": 24, "48985276392056641594055": 24, "11604466157397267043655j": 24, "riemannzetafunct": 24, "hurwitzzetafunct": 24, "cecm": [24, 26, 30], "person": [24, 30], "pborwein": [24, 30], "p155": [24, 30], "867204951503984": 24, "867199889012184": 24, "822467033424113": 24, "999999999068682": 24, "99999999999999989": 24, "dirichletetafunct": 24, "dirichlet_eta_funct": 24, "202056903159594285399738": 24, "9159655941772190150546035": 24, "08158073611659279510291217": 24, "5831218080616375602767689": 24, "3915943927068367764719453": 24, "3915943927068367764719454": 24, "1929013167969124293631898": 24, "7059715047839078092146831": 24, "gamma_n": 24, "zeroth": 24, "577215664901533": 24, "0728158454836767": 24, "000205332814909065": 24, "00355772885557316": 24, "57095384420474e": 24, "486": 24, "680424678918e": 24, "1109": 24, "23747539175716": 24, "gamma_1": 24, "0096903631928723184845303860352125293590658061013408": 24, "ainsworth": 24, "howel": 24, "coffei": 24, "mascheroni": 24, "nasa": 24, "technic": [24, 32], "2456": 24, "1985": [24, 30], "ntr": 24, "archiv": 24, "casi": 24, "19850014994_1985014994": 24, "eta_j": 24, "0706": 24, "0343v1": 24, "0343": 24, "stieltjesconst": 24, "lacim": 24, "uqam": 24, "pidata": 24, "stieltjesgamma": 24, "txt": 24, "strip": 24, "ti": 24, "14484006887480537268266j": 24, "727690": 24, "906948208j": 24, "9069482075392389420041147142092708393819935j": 24, "info": [24, 31], "542964976": 24, "209039046": 24, "578535j": 24, "542964969": 24, "542964978": 24, "013111110": 24, "01311110": 24, "pattern": 24, "rosser": 24, "parenthesi": 24, "nine": 24, "1347251417347j": 24, "21136125": 24, "9999999": 24, "32718175j": 24, "21136126": 24, "2400236j": 24, "545439823": 24, "215": 24, "1500000001": 24, "201985j": 24, "1500000002": 24, "325697j": 24, "confirm": 24, "van": 24, "lune": 24, "te": 24, "riel": 24, "winter": 24, "7363054628673177346778998": 24, "1852895764366314976003936": 24, "2773099198055652246992479j": 24, "89689348495089294249178": 24, "46035": 24, "73588": 24, "39357": 24, "13472514173469379045725": 24, "02203963877155499262848": 24, "176": [24, 26], "4414342977104188888926": 24, "g_n": 24, "g10": 24, "g11": 24, "44624769706339480436776": 24, "67523744685325626632663": 24, "54516517954725443703014": 24, "2it": 24, "phase": [24, 25, 29], "767547952812290388302216": 24, "068638039426838572528867": 24, "05804937947429712998395177j": 24, "1234": 24, "0004051864079114053109473741": 24, "68609": 24, "69433": 24, "40218": 24, "28983598883690277966509": 24, "84559954041086081682634": 24, "5488816": 24, "353078403444882823": 24, "745777464310273645": 24, "17028270124630927899664": 24, "67018221781633796093849": 24, "71797995476405317955149": 24, "42477796076937971538793": 24, "3293531632": 24, "728335454561153": 24, "9146": 24, "698193171459265866198": 24, "titchmarsh": 24, "217": 24, "16302205431184": 24, "211": 24, "232": 24, "842": 24, "arctan": 24, "663862376708876060218414": 24, "2131391994087528954617607": 24, "4023594781085250936501898": 24, "atanh": 24, "142423447120257137774002": 24, "2118232380980201350495795j": 24, "002025009957009908600539469": 24, "003327897536813558807438089j": 24, "28676272353094275265944": 24, "462130727102185701817349e": 24, "575172198981096218823481e": 24, "112658784011940": 24, "5605789002": 24, "498113185": 24, "5756221777743631j": 24, "044674457556746668033975": 24, "04674508654012658932271226j": 24, "044629338021507546737197": 24, "04667768813963388181708101j": 24, "249503297023366545192592": 24, "2314252413375664776474462j": 24, "253978063946663945672674": 24, "2316736622836535468765376j": 24, "_s": 24, "elsewher": 24, "582240526465012": 24, "21852526068613": 24, "53721319360804": 24, "536301287357863": 24, "23378441241546j": 24, "1982778868581": 24, "05968879432873": 24, "71678149306807j": 24, "150891632373114": 24, "067618332081142": 24, "0384353698579347": 24, "0912451798066779j": 24, "205616758356028": 24, "915965594177219j": 24, "534247512515375": 24, "765587078525922j": 24, "765587078525921j": 24, "517479061673899": 24, "111111": 24, "04": 24, "037037": 24, "015625": 24, "008": 24, "17624173838258": 24, "909670702980385": 24, "24258605789446": 24, "00222938275488344j": 24, "40j": 24, "1421172179728": 24, "92726697721369j": 24, "400j": 24, "41934747194626": 24, "94037752563927j": 24, "richard": 24, "crandal": 24, "reed": 24, "edu": 24, "faculti": 24, "cl": 24, "kz": 24, "classic": 24, "6533010136329338746275795": 24, "8860032351260589402871624": 24, "2047709230104579724675985": 24, "cl2": 24, "2465045302347694216534255": 24, "014941606409653625021203": 24, "3636895456083490948304773": 24, "5661751584451144991707161": 24, "3z": 24, "1903105029507513881275865": 24, "1089406163841548817581392": 24, "892316224968072424732898e": 24, "nonconverg": 24, "593079480117379002516034": 24, "9038644233367868273362446j": 24, "widetild": 24, "6518926267198991308332759": 24, "8155530586502260817855618": 24, "6720334373369714849797918": 24, "7805359025135583118863007": 24, "renorm": 24, "2607829375240542480694126": 24, "1472635054979944390848006": 24, "8671998890121841381913472": 24, "997921055881167659267063e": 24, "008333333333333333333333333": 24, "9407430121562251476136807": 24, "715826296033590204557054j": 24, "polyexponenti": 24, "e_": 24, "101755547733791780315904": 24, "351660261190434618268706": 24, "202966666673054671364215j": 24, "499471750566824369520223e": 24, "042192318847986561771779": 24, "sum_p": 24, "452247420041065498506543364832": 24, "15483752698840284272036497397": 24, "17476263929944353642311331466570670097541212192615": 24, "12085382601645763295": 24, "013370403397787023602j": 24, "31571845205389007685": 24, "exhibit": 24, "squarefre": 24, "1415926535897932385j": 24, "0416106801757269036": 24, "52359877559829887308j": 24, "54892423556409790529": 24, "45626803423487934264j": 24, "principl": 24, "00099360357443698021786": 24, "0009765625": 24, "3326361850321887899e": 24, "8565440833654995949e": 24, "4985390447553234305e": 24, "carl": 24, "erik": 24, "froberg": 24, "1968": 24, "187": 24, "015": 24, "secondari": 24, "tau_n": 24, "frac12": 24, "meromorph": 24, "023104993115419": 24, "xi": 24, "ask": [24, 32], "216272011276718": 24, "844952708937228j": 24, "dyadic": 24, "67236328125": 24, "mangoldt": 24, "respons": 24, "30190318549": 24, "138656312556": 24, "13964804384": 24, "624622876523j": 24, "132717176": 24, "89212754625045": 24, "188980555": 24, "17563978290601j": 24, "542447428666": 24, "07179812536": 24, "362434922978": 24, "80192435203j": 24, "512124392939": 24, "98154322355": 24, "348281138038": 24, "65531023921j": 24, "059471043": 24, "3463514534j": 24, "455191523e": 24, "151962888": 24, "19606243907725": 24, "217930683": 24, "90210294051982j": 24, "2476659342": 24, "3038722372461": 24, "28711581821": 24, "921627163136j": 24, "178506047114": 24, "7838188264": 24, "819674143244": 24, "45677330576j": 24, "175877424884": 24, "22441310708": 24, "790744630738": 24, "28669174871j": 24, "notic": 24, "great": 24, "voro": 24, "ann": 24, "institut": 24, "665": 24, "699": 24, "lectur": 24, "union": 24, "matematica": 24, "italiana": 24, "2009": [24, 31], "aid": 25, "losslessli": [25, 32], "1000000000000001": 25, "collect": 25, "unrecogn": 25, "companion": 25, "strip_zero": 25, "min_fix": 25, "max_fix": 25, "show_zero_expon": 25, "to_str": 25, "05494e": 25, "151": 25, "0000e": 25, "00000000050000": 25, "mode": [25, 31], "flag": [25, 31], "down": 25, "0000000000000004": 25, "00000000000000000001": 25, "enforc": 25, "familiar": 25, "law": 25, "don": [25, 28], "100000000000000000000": 25, "overflowerror": [25, 32], "fit": 25, "memori": [25, 32], "9999999999999998": 25, "99999999999999999999": 25, "roundoff": 25, "200000000000000000000001": 25, "200000000000000016777216": 25, "10000000001000010000000001": 25, "0000000001e": 25, "10000000001000011026399232": 25, "66666666666666663": 25, "6666259765625": 25, "66666666666666667": 25, "66666666666666674": 25, "7007434154172148e": 25, "mod": 25, "61062773871641": 25, "project": [25, 27], "onto": 25, "707106781186547": [25, 28], "707106781186547j": [25, 28], "785398163397448": 25, "927295218001612": 25, "necessarili": [25, 26, 28], "1000000000000000019884624838656": 25, "1000000000000000000000000000001": 25, "act": 25, "lceil": 25, "rceil": 25, "greater": 25, "tie": 25, "sawtooth": 25, "31831": 25, "159155": 25, "106103": 25, "0795775": 25, "fractionalpart": 25, "18j": 25, "rel_ep": 25, "abs_ep": 25, "presenc": 25, "141592653589793": 25, "141592653589790": 25, "141592653589700": 25, "1024": 25, "quick": [25, 27], "log_2": 25, "00000001": 25, "000001": 25, "0100000000000000002081668171172": 25, "randomli": 25, "mantissa": [25, 32], "evenli": 25, "catch": 25, "copi": [25, 28, 30], "repeatedli": 25, "protect": 25, "against": 25, "slowdown": 25, "fool": 25, "judici": 25, "unknown": [25, 26], "03284785591801e": 25, "25e30": 25, "12954868316652e": 25, "2910": 25, "expm1": 25, "intercept": 25, "normalize_output": 25, "execut": 25, "parent": 25, "909297426825682": 25, "95520948210738": 25, "action": 25, "stdout": 25, "total": 25, "99999999906867742538452148": 25, "7182818259274480055282064": 25, "0000000009313225746154785": 25, "7182818309906424675501024": 25, "7182808": 25, "handler": 25, "later": [25, 31], "1415926535897932": 25, "1415076583334066": 25, "49952562843408e": 25, "1415928201669122": 25, "66577118985331e": 25, "elaps": 25, "concern": [26, 28], "7320508075688772935274463": 26, "subject": 26, "thank": 26, "ferguson": 26, "autom": 26, "silver": 26, "bullet": 26, "extent": 26, "facil": 26, "inspir": 26, "isc": 26, "lookup": 26, "precomput": 26, "mitig": 26, "maxcoeff": 26, "spuriou": 26, "prefer": 26, "22222222222222222": 26, "9662210973805663": 26, "1132503787829275": 26, "881373587019543": 26, "117": 26, "39": 26, "92": 26, "atom": 26, "76": 26, "44": 26, "113": 26, "269": 26, "endless": 26, "14157719846001": 26, "98": [26, 29], "14166950419369": 26, "14158000062992": 26, "14158791577159": 26, "simplest": 26, "sympi": [26, 28], "sympifi": 26, "evalf": 26, "nsimplifi": 26, "miscellan": 26, "worst": [26, 32], "finish": 26, "search": 26, "verbatim": 26, "4142135623731": [26, 28], "despit": 26, "10x": 26, "minim": [26, 28], "constraint": 26, "95": [26, 32], "545": 26, "863": 26, "183": 26, "298": 26, "836": 26, "1734": 26, "2658": 26, "457": 26, "strict": 26, "unwant": 26, "prematur": 26, "14285714285714": 26, "14159292035398": 26, "238410049439": 26, "75888275702": 26, "acot": 26, "239": 26, "110443": 26, "luck": 26, "translat": [26, 32], "pseudocod": 26, "david": [26, 32], "organ": 26, "node3": 26, "7x": 26, "websit": 27, "function_nam": 27, "prompt": 27, "download": 27, "instal": 27, "gmpy": 27, "compil": [27, 32], "util": 27, "compon": [27, 29], "manag": [27, 31], "debug": 27, "curv": 27, "surfac": 27, "top": 27, "identif": 27, "recognit": 27, "pslq": 27, "dictionari": 28, "spars": 28, "col": 28, "discard": 28, "comfort": 28, "diag": 28, "diagon": 28, "ey": 28, "randmatrix": 28, "53491598236191806": 28, "57195669543302752": 28, "85589992269513615": 28, "82444367501382143": 28, "life": 28, "easier": 28, "flat": 28, "782963853573023": 28, "802057689719883": 28, "427895717335467": 28, "0541876859348597": 28, "708243266653103": 28, "615134039977379": 28, "856151514955773": 28, "544759264818486": 28, "686210904770947": 28, "07e": 28, "66e": 28, "06e": 28, "89e": 28, "29e": 28, "62e": 28, "47e": 28, "82e": 28, "33e": 28, "75e": 28, "93e": 28, "86e": 28, "71e": 28, "01e": 28, "53e": 28, "13e": 28, "32e": 28, "59e": 28, "56e": 28, "27e": 28, "05e": 28, "67e": 28, "79e": 28, "mutabl": 28, "arrai": 28, "numpi": 28, "tolist": 28, "file": [28, 29, 31], "stdin": 28, "238": 28, "__add__": 28, "incompat": [28, 32], "wise": 28, "08e": 28, "17e": 28, "transposit": 28, "straightforward": [28, 32], "entrywis": 28, "sum_k": 28, "absmax": 28, "frobeniu": 28, "mnorm": 28, "112": 28, "5186549850325": 28, "maxim": 28, "spectral": 28, "fro": 28, "elementwis": 28, "rank": 28, "_f": 28, "lack": [28, 32], "1006": 28, "2310867787777": 28, "choleski": 28, "hermitian": 28, "lu": 28, "hilbert": 28, "33333": 28, "41421": 28, "353553": 28, "09924": 28, "235702": 28, "15162": 28, "05899": 28, "968246": 28, "129099": 28, "856349": 28, "cholesky_decomposit": 28, "lu_solv": 28, "trust": [28, 32], "46944695195361e": 28, "inaccuraci": 28, "afford": 28, "qr_solv": 28, "571428571428571": 28, "214285714285714": 28, "qr": 28, "301511344577764": 28, "861640436855329": 28, "408248290463863": 28, "904534033733291": 28, "123091490979333": 28, "492365963917331": 28, "816496580927726": 28, "3166247903554": 28, "52267016866645": 28, "738548945875996": 28, "routin": 28, "svd_r": 28, "svd_c": 28, "svd": 28, "unifi": 28, "unitari": 28, "transpos": 28, "compute_uv": 28, "417": 28, "transpose_conj": 28, "eig": 28, "er": 28, "el": 28, "eigenvector": 28, "eig_sort": 28, "eigsi": 28, "eigh": 28, "eigvals_onli": 28, "2582327113062393041": 28, "2582327113062749951": 28, "155049396267856583": 28, "155049396267821167": 28, "4206915477497212555": 28, "4206915477497310922": 28, "9999999999999866773": 28, "0000000000000133227": 28, "59999999999972430942": 28, "60000000000027142733": 28, "49999999999982236432": 28, "50000000000018474111": 28, "expm": 28, "86814500615414": 28, "26812870852145": 28, "841130841230196": 28, "44114713886289": 28, "42699786729125": 28, "6000162976327": 28, "46869393991589": 28, "28735528717884j": 28, "03776739863568": 28, "536943175722j": 28, "65024064048415e": 28, "2050488462815550": 28, "14228140091932e": 28, "47925220414035e": 28, "2050488462815551": 28, "noncommut": 28, "0927851137247": 28, "cosm": 28, "424403834569555": 28, "316643413047167": 28, "221474945949293": 28, "820646708837824": 28, "127183694770039": 28, "909236687217541": 28, "833730025131149": 28, "988897705762865j": 28, "07485840848393": 28, "17192140544213j": 28, "54308063481524": 28, "sinm": 28, "711608512150994": 28, "339783913247439": 28, "220742837314741": 28, "244113865695532": 28, "187231271174372": 28, "155816730769635": 28, "29845758141598": 28, "634963914784736j": 28, "96751511930922": 28, "314700021761367j": 28, "1752011936438j": 28, "sqrtm": 28, "_may_rot": 28, "920442065259926": 28, "21728689675164j": 28, "568864481005783": 28, "351577584254143j": 28, "351577584254143": 28, "568864481005783j": 28, "t1": 28, "t2": 28, "930507621912314": 28, "366272529086048": 28, "43715112194995": 28, "324127569985474": 28, "8481718827526": 28, "251549715716942": 28, "32699765900402": 28, "48221180985147": 28, "11609388833616": 28, "775751877098258": 28, "017955697342": 28, "matlab": 28, "56669890360128": 28, "74077655955698": 28, "61116483933547": 28, "17786374293675": 28, "53155328326114e": 28, "logm": 28, "808757": 28, "107759j": 28, "20752": 28, "202762j": 28, "07376": 28, "773874j": 28, "905709": 28, "107795j": 28, "0287395": 28, "824993j": 28, "111619": 28, "514272j": 28, "930151": 28, "399512j": 28, "06266": 28, "674397j": 28, "791552": 28, "519839j": 28, "0833333333333333": 28, "58318530717959": 28, "5597513593433": 28, "27721006042799": 28, "317662687717978": 28, "5222778973542": 28, "24003708791604": 28, "395212822267": 28, "powm": 28, "69": 28, "174": 28, "89": 28, "199": 28, "164": 28, "179": 28, "fib": 28, "5166626964253": 28, "0121089837381789j": 28, "2078589271083": 28, "0195927472575932j": 28, "30880376931698": 28, "0317017309957721j": 28, "3076953002666": 28, "008222855781077j": 28, "81733464837593": 28, "0133048601383712j": 28, "49036065189071": 28, "0215277159194482j": 28, "matplotlib": 29, "graph": 29, "xlim": 29, "ylim": 29, "dpi": 29, "ax": 29, "fresnelc": 29, "floor": 29, "exclud": 29, "dash": 29, "pylab": 29, "color": 29, "hue": 29, "bright": 29, "rgb": 29, "render": 29, "white": 29, "black": 29, "gold": 29, "blue": 29, "000": 29, "thereabout": 29, "donut": 29, "keep_aspect": 29, "wirefram": 29, "cite": 30, "handbook": 30, "9th": 30, "ed": 30, "tenth": 30, "decemb": 30, "1972": 30, "electron": 30, "bender": 30, "orszag": 30, "scientist": [30, 32], "1999": 30, "borweinbailei": 30, "borweinborwein": 30, "agm": 30, "wilei": 30, "borweinzeta": 30, "cabral": 30, "rosetti": 30, "sanchi": 30, "lozano": 30, "loop": 30, "feynman": 30, "diagram": 30, "hep": 30, "ph": 30, "0206081": 30, "9409227v1": 30, "adv": 30, "1996": 30, "329": 30, "apmath": 30, "uwo": 30, "djeffrei": 30, "offprint": 30, "gradshteyn": 30, "ryzhik": 30, "jeffrei": 30, "zwilling": 30, "seventh": 30, "grave": 30, "morri": 30, "robert": 30, "salam": 30, "topic": 30, "volum": 30, "122": 30, "octob": 30, "mpfr": 30, "team": 30, "spoug": 30, "digamma": 30, "trigamma": 30, "anal": 30, "931": 30, "944": 30, "1994": 30, "srivastava": 30, "karlsson": 30, "elli": 30, "horwood": 30, "0804": 30, "0655": 30, "1946": 30, "free": 30, "encyclopedia": 30, "main_pag": 30, "research": 30, "inc": 30, "site": 30, "setup": 31, "packag": 31, "tar": 31, "gz": 31, "extract": 31, "directori": [31, 32], "py": 31, "releas": 31, "regist": [31, 32], "pypi": 31, "latest": 31, "easy_instal": 31, "old": 31, "upgrad": 31, "folder": 31, "egg": 31, "dist": 31, "build": 31, "sudo": 31, "apt": 31, "scienc": 31, "repositori": 31, "yast": 31, "sdb": 31, "add_package_repositori": 31, "opensuse_11": 31, "your": 31, "url": 31, "git": 31, "github": 31, "fredrik": 31, "johansson": 31, "fire": 31, "4142135623730950488016887242096980785696718753769": 31, "2831853071795864769252867665590057683943387987502": 31, "uninstal": 31, "03": 31, "intead": 31, "backend": 31, "libmp": [31, 32], "mpmath_nogmpi": 31, "environ": 31, "switch": 31, "runtim": 31, "sure": 31, "subdirectori": 31, "pyarg": 31, "send": 31, "report": 31, "tracker": 31, "diagnost": 31, "mpmath_strict": 31, "sphinx": 31, "run_doctest": 31, "doctest": 31, "minut": 31, "demo": 31, "script": 31, "preinstal": 31, "date": 31, "07": 31, "09": 31, "notebook": 31, "gui": 31, "licens": 31, "lib": 31, "realnumb": 31, "complexnumb": 31, "829461427614568389103088452": 31, "6873182714701631444280787545": 31, "ring": 31, "complex_numb": 31, "enter": 32, "purpos": 32, "techniqu": 32, "understand": 32, "overview": 32, "concept": 32, "propag": 32, "contriv": 32, "chanc": 32, "accident": 32, "suspici": 32, "claim": 32, "incorrect": 32, "man": 32, "bc": 32, "vs": 32, "bitcount": 32, "redund": 32, "field": 32, "scratch": 32, "contrari": 32, "popular": 32, "belief": 32, "come": 32, "inher": 32, "inexact": 32, "obvious": 32, "futil": 32, "complain": 32, "chug": 32, "resourc": 32, "alloc": 32, "comment": 32, "subtl": 32, "novic": 32, "address": 32, "faq": 32, "19999999999999996": 32, "who": 32, "perhap": 32, "proportion": 32, "minor": 32, "correl": 32, "00000000000000088817841970012523233890533447265625": 32, "gurante": 32, "stricter": 32, "temporari": 32, "70": 32, "exercis": 32, "judgement": 32, "cover": 32, "spectrum": 32, "blindli": 32, "goal": 32, "farther": 32, "radix": 32, "behaved": 32, "ieee": 32, "754": 32, "gcc": 32, "subnorm": 32, "lose": 32, "textbook": 32, "web": 32, "goldberg": 32}, "objects": {"mpmath": [[23, 0, 1, "", "acos"], [16, 0, 1, "", "acosh"], [23, 0, 1, "", "acot"], [16, 0, 1, "", "acoth"], [23, 0, 1, "", "acsc"], [16, 0, 1, "", "acsch"], [21, 0, 1, "", "agm"], [11, 0, 1, "", "airyai"], [11, 0, 1, "", "airyaizero"], [11, 0, 1, "", "airybi"], [11, 0, 1, "", "airybizero"], [25, 0, 1, "", "almosteq"], [24, 0, 1, "", "altzeta"], [11, 0, 1, "", "angerj"], [17, 0, 1, "", "appellf1"], [17, 0, 1, "", "appellf2"], [17, 0, 1, "", "appellf3"], [17, 0, 1, "", "appellf4"], [25, 0, 1, "", "arange"], [25, 0, 1, "", "arg"], [23, 0, 1, "", "asec"], [16, 0, 1, "", "asech"], [23, 0, 1, "", "asin"], [16, 0, 1, "", "asinh"], [23, 0, 1, "", "atan"], [23, 0, 1, "", "atan2"], [16, 0, 1, "", "atanh"], [25, 0, 1, "", "autoprec"], [24, 0, 1, "", "backlunds"], [15, 0, 1, "", "barnesg"], [11, 0, 1, "", "bei"], [19, 0, 1, "", "bell"], [11, 0, 1, "", "ber"], [19, 0, 1, "", "bernfrac"], [19, 0, 1, "", "bernoulli"], [19, 0, 1, "", "bernpoly"], [11, 0, 1, "", "besseli"], [11, 0, 1, "", "besselj"], [11, 0, 1, "", "besseljzero"], [11, 0, 1, "", "besselk"], [11, 0, 1, "", "bessely"], [11, 0, 1, "", "besselyzero"], [15, 0, 1, "", "beta"], [15, 0, 1, "", "betainc"], [17, 0, 1, "", "bihyper"], [15, 0, 1, "", "binomial"], [21, 0, 1, "", "cbrt"], [25, 0, 1, "", "ceil"], [1, 0, 1, "", "chebyfit"], [20, 0, 1, "", "chebyt"], [20, 0, 1, "", "chebyu"], [14, 0, 1, "", "chi"], [28, 0, 1, "", "cholesky"], [25, 0, 1, "", "chop"], [14, 0, 1, "", "ci"], [24, 0, 1, "", "clcos"], [24, 0, 1, "", "clsin"], [9, 0, 1, "", "cohen_alt"], [25, 0, 1, "", "conj"], [23, 0, 1, "", "cos"], [16, 0, 1, "", "cosh"], [28, 0, 1, "", "cosm"], [23, 0, 1, "", "cospi"], [23, 0, 1, "", "cot"], [16, 0, 1, "", "coth"], [11, 0, 1, "", "coulombc"], [11, 0, 1, "", "coulombf"], [11, 0, 1, "", "coulombg"], [29, 0, 1, "", "cplot"], [23, 0, 1, "", "csc"], [16, 0, 1, "", "csch"], [19, 0, 1, "", "cyclotomic"], [23, 0, 1, "", "degrees"], [2, 0, 1, "", "diff"], [2, 0, 1, "", "differint"], [2, 0, 1, "", "diffs"], [2, 0, 1, "", "diffs_exp"], [2, 0, 1, "", "diffs_prod"], [15, 0, 1, "", "digamma"], [24, 0, 1, "", "dirichlet"], [14, 0, 1, "", "e1"], [14, 0, 1, "", "ei"], [13, 0, 1, "", "ellipe"], [13, 0, 1, "", "ellipf"], [13, 0, 1, "", "ellipfun"], [13, 0, 1, "", "ellipk"], [13, 0, 1, "", "ellippi"], [13, 0, 1, "", "elliprc"], [13, 0, 1, "", "elliprd"], [13, 0, 1, "", "elliprf"], [13, 0, 1, "", "elliprg"], [13, 0, 1, "", "elliprj"], [14, 0, 1, "", "erf"], [14, 0, 1, "", "erfc"], [14, 0, 1, "", "erfi"], [14, 0, 1, "", "erfinv"], [13, 0, 1, "", "eta"], [19, 0, 1, "", "eulernum"], [19, 0, 1, "", "eulerpoly"], [21, 0, 1, "", "exp"], [14, 0, 1, "", "expint"], [21, 0, 1, "", "expj"], [21, 0, 1, "", "expjpi"], [28, 0, 1, "", "expm"], [21, 0, 1, "", "expm1"], [25, 0, 1, "", "extradps"], [25, 0, 1, "", "extraprec"], [25, 0, 1, "", "fabs"], [15, 0, 1, "", "fac2"], [15, 0, 1, "", "factorial"], [25, 0, 1, "", "fadd"], [25, 0, 1, "", "fdiv"], [25, 0, 1, "", "fdot"], [15, 0, 1, "", "ff"], [19, 0, 1, "", "fibonacci"], [26, 0, 1, "", "findpoly"], [7, 0, 1, "", "findroot"], [25, 0, 1, "", "floor"], [25, 0, 1, "", "fmod"], [25, 0, 1, "", "fmul"], [25, 0, 1, "", "fneg"], [1, 0, 1, "", "fourier"], [1, 0, 1, "", "fourierval"], [25, 0, 1, "", "fprod"], [25, 0, 1, "", "frac"], [25, 0, 1, "", "fraction"], [14, 0, 1, "", "fresnelc"], [14, 0, 1, "", "fresnels"], [25, 0, 1, "", "frexp"], [25, 0, 1, "", "fsub"], [25, 0, 1, "", "fsum"], [15, 0, 1, "", "gamma"], [14, 0, 1, "", "gammainc"], [15, 0, 1, "", "gammaprod"], [20, 0, 1, "", "gegenbauer"], [24, 0, 1, "", "grampoint"], [11, 0, 1, "", "hankel1"], [11, 0, 1, "", "hankel2"], [15, 0, 1, "", "harmonic"], [20, 0, 1, "", "hermite"], [17, 0, 1, "", "hyp0f1"], [17, 0, 1, "", "hyp1f1"], [17, 0, 1, "", "hyp1f2"], [17, 0, 1, "", "hyp2f0"], [17, 0, 1, "", "hyp2f1"], [17, 0, 1, "", "hyp2f2"], [17, 0, 1, "", "hyp2f3"], [17, 0, 1, "", "hyp3f2"], [17, 0, 1, "", "hyper"], [17, 0, 1, "", "hyper2d"], [17, 0, 1, "", "hypercomb"], [15, 0, 1, "", "hyperfac"], [11, 0, 1, "", "hyperu"], [21, 0, 1, "", "hypot"], [26, 0, 1, "", "identify"], [25, 0, 1, "", "im"], [5, 0, 1, "", "invertlaplace"], [25, 0, 1, "", "isfinite"], [25, 0, 1, "", "isinf"], [25, 0, 1, "", "isint"], [25, 0, 1, "", "isnan"], [25, 0, 1, "", "isnormal"], [11, 0, 1, "", "j0"], [11, 0, 1, "", "j1"], [20, 0, 1, "", "jacobi"], [13, 0, 1, "", "jtheta"], [11, 0, 1, "", "kei"], [11, 0, 1, "", "ker"], [13, 0, 1, "", "kfrom"], [13, 0, 1, "", "kleinj"], [20, 0, 1, "", "laguerre"], [21, 0, 1, "", "lambertw"], [25, 0, 1, "", "ldexp"], [20, 0, 1, "", "legendre"], [20, 0, 1, "", "legenp"], [20, 0, 1, "", "legenq"], [24, 0, 1, "", "lerchphi"], [9, 0, 1, "", "levin"], [14, 0, 1, "", "li"], [9, 0, 1, "", "limit"], [25, 0, 1, "", "linspace"], [21, 0, 1, "", "ln"], [21, 0, 1, "", "log"], [21, 0, 1, "", "log10"], [21, 0, 1, "", "log1p"], [15, 0, 1, "", "loggamma"], [28, 0, 1, "", "logm"], [11, 0, 1, "", "lommels1"], [11, 0, 1, "", "lommels2"], [25, 0, 1, "", "mag"], [19, 0, 1, "", "mangoldt"], [25, 0, 1, "", "maxcalls"], [17, 0, 1, "", "meijerg"], [25, 0, 1, "", "memoize"], [13, 0, 1, "", "mfrom"], [28, 0, 1, "", "mnorm"], [25, 0, 1, "", "monitor"], [25, 0, 1, "", "mpmathify"], [14, 0, 1, "", "ncdf"], [25, 0, 1, "", "nint"], [25, 0, 1, "", "nint_distance"], [28, 0, 1, "", "norm"], [14, 0, 1, "", "npdf"], [25, 0, 1, "", "nprint"], [9, 0, 1, "", "nprod"], [25, 0, 1, "", "nstr"], [9, 0, 1, "", "nsum"], [24, 0, 1, "", "nzeros"], [6, 0, 1, "", "odefun"], [1, 0, 1, "", "pade"], [11, 0, 1, "", "pcfd"], [11, 0, 1, "", "pcfu"], [11, 0, 1, "", "pcfv"], [11, 0, 1, "", "pcfw"], [29, 0, 1, "", "plot"], [25, 0, 1, "", "polar"], [24, 0, 1, "", "polyexp"], [24, 0, 1, "", "polylog"], [8, 0, 1, "", "polyroots"], [8, 0, 1, "", "polyval"], [21, 0, 1, "", "power"], [28, 0, 1, "", "powm"], [21, 0, 1, "", "powm1"], [19, 0, 1, "", "primepi"], [19, 0, 1, "", "primepi2"], [24, 0, 1, "", "primezeta"], [15, 0, 1, "", "psi"], [26, 0, 1, "", "pslq"], [13, 0, 1, "", "qbarfrom"], [22, 0, 1, "", "qfac"], [13, 0, 1, "", "qfrom"], [22, 0, 1, "", "qgamma"], [22, 0, 1, "", "qhyper"], [22, 0, 1, "", "qp"], [4, 0, 1, "", "quad"], [4, 0, 1, "", "quadosc"], [23, 0, 1, "", "radians"], [25, 0, 1, "", "rand"], [25, 0, 1, "", "re"], [25, 0, 1, "", "rect"], [15, 0, 1, "", "rf"], [15, 0, 1, "", "rgamma"], [9, 0, 1, "", "richardson"], [19, 0, 1, "", "riemannr"], [21, 0, 1, "", "root"], [11, 0, 1, "", "scorergi"], [11, 0, 1, "", "scorerhi"], [23, 0, 1, "", "sec"], [16, 0, 1, "", "sech"], [24, 0, 1, "", "secondzeta"], [9, 0, 1, "", "shanks"], [14, 0, 1, "", "shi"], [14, 0, 1, "", "si"], [24, 0, 1, "", "siegeltheta"], [24, 0, 1, "", "siegelz"], [25, 0, 1, "", "sign"], [23, 0, 1, "", "sin"], [23, 0, 1, "", "sinc"], [23, 0, 1, "", "sincpi"], [16, 0, 1, "", "sinh"], [28, 0, 1, "", "sinm"], [23, 0, 1, "", "sinpi"], [20, 0, 1, "", "spherharm"], [29, 0, 1, "", "splot"], [21, 0, 1, "", "sqrt"], [28, 0, 1, "", "sqrtm"], [24, 0, 1, "", "stieltjes"], [19, 0, 1, "", "stirling1"], [19, 0, 1, "", "stirling2"], [11, 0, 1, "", "struveh"], [11, 0, 1, "", "struvel"], [9, 0, 1, "", "sumap"], [9, 0, 1, "", "sumem"], [15, 0, 1, "", "superfac"], [23, 0, 1, "", "tan"], [16, 0, 1, "", "tanh"], [13, 0, 1, "", "taufrom"], [1, 0, 1, "", "taylor"], [25, 0, 1, "", "timing"], [21, 0, 1, "", "unitroots"], [11, 0, 1, "", "webere"], [11, 0, 1, "", "whitm"], [11, 0, 1, "", "whitw"], [25, 0, 1, "", "workdps"], [25, 0, 1, "", "workprec"], [24, 0, 1, "", "zeta"], [24, 0, 1, "", "zetazero"]], "mpmath.calculus.inverselaplace": [[5, 1, 1, "", "FixedTalbot"], [5, 1, 1, "", "Stehfest"], [5, 1, 1, "", "deHoog"]], "mpmath.calculus.inverselaplace.FixedTalbot": [[5, 2, 1, "", "calc_laplace_parameter"], [5, 2, 1, "", "calc_time_domain_solution"]], "mpmath.calculus.inverselaplace.Stehfest": [[5, 2, 1, "", "calc_laplace_parameter"], [5, 2, 1, "", "calc_time_domain_solution"]], "mpmath.calculus.inverselaplace.deHoog": [[5, 2, 1, "", "calc_laplace_parameter"], [5, 2, 1, "", "calc_time_domain_solution"]], "mpmath.calculus.optimization": [[7, 1, 1, "", "ANewton"], [7, 1, 1, "", "Anderson"], [7, 1, 1, "", "Bisection"], [7, 1, 1, "", "Halley"], [7, 1, 1, "", "Illinois"], [7, 1, 1, "", "MDNewton"], [7, 1, 1, "", "MNewton"], [7, 1, 1, "", "Muller"], [7, 1, 1, "", "Newton"], [7, 1, 1, "", "Pegasus"], [7, 1, 1, "", "Ridder"], [7, 1, 1, "", "Secant"]], "mpmath.calculus.quadrature": [[4, 1, 1, "", "GaussLegendre"], [4, 1, 1, "", "QuadratureRule"], [4, 1, 1, "", "TanhSinh"]], "mpmath.calculus.quadrature.GaussLegendre": [[4, 2, 1, "", "calc_nodes"]], "mpmath.calculus.quadrature.QuadratureRule": [[4, 2, 1, "", "calc_nodes"], [4, 2, 1, "", "clear"], [4, 2, 1, "", "estimate_error"], [4, 2, 1, "", "get_nodes"], [4, 2, 1, "", "guess_degree"], [4, 2, 1, "", "sum_next"], [4, 2, 1, "", "summation"], [4, 2, 1, "", "transform_nodes"]], "mpmath.calculus.quadrature.TanhSinh": [[4, 2, 1, "", "calc_nodes"], [4, 2, 1, "", "sum_next"]], "mpmath.functions": [[13, 3, 0, "-", "elliptic"]], "mpmath.mp": [[12, 4, 1, "", "apery"], [12, 4, 1, "", "catalan"], [12, 4, 1, "", "degree"], [12, 4, 1, "", "e"], [12, 4, 1, "", "euler"], [12, 4, 1, "", "glaisher"], [12, 4, 1, "", "khinchin"], [12, 4, 1, "", "mertens"], [12, 4, 1, "", "phi"], [12, 4, 1, "", "pi"], [12, 4, 1, "", "twinprime"]]}, "objtypes": {"0": "py:function", "1": "py:class", "2": "py:method", "3": "py:module", "4": "py:attribute"}, "objnames": {"0": ["py", "function", "Python function"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "module", "Python module"], "4": ["py", "attribute", "Python attribute"]}, "titleterms": {"basic": [0, 27, 28], "usag": 0, "number": [0, 15, 19, 25, 26, 32], "type": 0, "set": [0, 31], "precis": [0, 10, 25, 28, 32], "temporarili": 0, "chang": 0, "provid": 0, "correct": [0, 32], "input": 0, "print": [0, 25], "function": [1, 11, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 28, 29], "approxim": [1, 25], "taylor": 1, "seri": [1, 17, 22, 24], "pade": 1, "chebyshev": [1, 20], "chebyfit": 1, "fourier": 1, "fourierv": 1, "differenti": [2, 6], "numer": [2, 3, 4, 5], "deriv": 2, "diff": 2, "composit": 2, "diffs_prod": 2, "diffs_exp": 2, "fraction": [2, 25], "differintegr": 2, "differint": 2, "calculu": 3, "integr": [4, 13, 14], "quadratur": 4, "standard": 4, "quad": 4, "oscillatori": 4, "quadosc": 4, "rule": 4, "tanh": [4, 16], "sinh": [4, 16], "gauss": 4, "legendr": [4, 13, 20], "invers": [5, 16, 23], "laplac": 5, "transform": 5, "One": 5, "step": 5, "algorithm": 5, "invertlaplac": 5, "specif": 5, "fix": 5, "talbot": 5, "gaver": 5, "stehfest": 5, "de": 5, "hoog": 5, "knight": 5, "stoke": 5, "manual": 5, "approach": 5, "credit": 5, "ordinari": 6, "equat": [6, 28], "solv": 6, "od": 6, "initi": 6, "valu": [6, 28], "problem": [6, 28], "odefun": 6, "root": [7, 8, 21], "find": 7, "optim": 7, "findroot": 7, "solver": 7, "polynomi": [8, 19, 20], "evalu": 8, "polyv": 8, "polyroot": 8, "sum": 9, "product": 9, "limit": 9, "extrapol": 9, "summat": 9, "nsum": 9, "sumem": 9, "sumap": 9, "nprod": 9, "richardson": 9, "shank": 9, "levin": 9, "cohen_alt": 9, "context": 10, "common": [10, 17], "interfac": 10, "arbitrari": 10, "float": 10, "point": 10, "mp": 10, "interv": [10, 28], "arithmet": [10, 19, 21, 25], "iv": 10, "fast": 10, "low": 10, "fp": 10, "bessel": 11, "relat": [11, 26], "besselj": 11, "bess": 11, "besselk": 11, "zero": [11, 24], "besseljzero": 11, "besselyzero": 11, "hankel": 11, "hankel1": 11, "hankel2": 11, "kelvin": 11, "ber": 11, "bei": 11, "ker": 11, "kei": 11, "struve": 11, "struveh": 11, "struvel": 11, "anger": 11, "weber": 11, "angerj": 11, "lommel": 11, "lommels1": 11, "lommels2": 11, "airi": 11, "scorer": 11, "airyai": 11, "airybi": 11, "airyaizero": 11, "airybizero": 11, "scorergi": 11, "scorerhi": 11, "coulomb": 11, "wave": 11, "coulombf": 11, "coulombg": 11, "coulombc": 11, "confluent": 11, "u": 11, "whittak": 11, "hyperu": 11, "whitm": 11, "whitw": 11, "parabol": 11, "cylind": 11, "pcfd": 11, "pcfu": 11, "pcfv": 11, "pcfw": 11, "mathemat": [12, 18, 27], "constant": [12, 24, 26], "exact": 12, "pi": 12, "degre": [12, 23], "base": 12, "natur": 12, "logarithm": [12, 14, 21], "e": 12, "golden": 12, "ratio": 12, "phi": 12, "euler": [12, 19], "s": [12, 27], "catalan": 12, "aperi": 12, "khinchin": 12, "glaisher": 12, "merten": 12, "twin": 12, "prime": [12, 19], "twinprim": 12, "ellipt": 13, "argument": [13, 23], "qfrom": 13, "qbarfrom": 13, "mfrom": 13, "kfrom": 13, "taufrom": 13, "ellipk": 13, "ellipf": 13, "ellip": 13, "ellippi": 13, "carlson": 13, "symmetr": [13, 28], "elliprf": 13, "elliprc": 13, "elliprj": 13, "elliprd": 13, "elliprg": 13, "jacobi": [13, 20], "theta": 13, "jtheta": 13, "ellipfun": 13, "modular": 13, "eta": 13, "kleinj": 13, "exponenti": [14, 21], "error": [14, 32], "incomplet": 14, "gamma": [14, 15, 22], "gammainc": 14, "ei": 14, "e1": 14, "expint": 14, "li": 14, "trigonometr": [14, 23], "ci": 14, "si": 14, "hyperbol": [14, 16], "chi": 14, "shi": 14, "erf": 14, "erfc": 14, "erfi": 14, "erfinv": 14, "The": [14, 28], "normal": 14, "distribut": 14, "npdf": 14, "ncdf": 14, "fresnel": 14, "fresnelc": 14, "factori": [15, 22], "fac": 15, "fac2": 15, "binomi": 15, "coeffici": 15, "rgamma": 15, "gammaprod": 15, "loggamma": 15, "rise": 15, "fall": 15, "rf": 15, "ff": 15, "beta": 15, "betainc": 15, "super": 15, "hyperfactori": 15, "superfac": 15, "hyperfac": 15, "barnesg": 15, "polygamma": 15, "harmon": [15, 20], "psi": 15, "digamma": 15, "cosh": 16, "sech": 16, "csch": 16, "coth": 16, "acosh": 16, "asinh": 16, "atanh": 16, "asech": 16, "acsch": 16, "acoth": 16, "hypergeometr": [17, 22], "hyp0f1": 17, "hyp1f1": 17, "hyp1f2": 17, "hyp2f0": 17, "hyp2f1": 17, "hyp2f2": 17, "hyp2f3": 17, "hyp3f2": 17, "gener": [17, 25], "hyper": 17, "hypercomb": 17, "meijer": 17, "g": 17, "meijerg": 17, "bilater": 17, "bihyp": 17, "two": 17, "variabl": 17, "hyper2d": 17, "appellf1": 17, "appellf2": 17, "appellf3": 17, "appellf4": 17, "theoret": 19, "combinatori": 19, "integ": [19, 25, 26], "fibonacci": 19, "fib": 19, "bernoulli": 19, "bernfrac": 19, "bernpoli": 19, "eulernum": 19, "eulerpoli": 19, "bell": 19, "stirl": 19, "stirling1": 19, "stirling2": 19, "count": 19, "primepi": 19, "primepi2": 19, "riemannr": 19, "cyclotom": 19, "mangoldt": 19, "orthogon": 20, "legenp": 20, "legenq": 20, "chebyt": 20, "chebyu": 20, "gegenbau": 20, "hermit": 20, "laguerr": 20, "spheric": 20, "spherharm": 20, "power": 21, "nth": 21, "sqrt": 21, "hypot": 21, "cbrt": 21, "unitroot": 21, "exp": 21, "expj": 21, "expjpi": 21, "expm1": 21, "powm1": 21, "log": 21, "ln": 21, "log10": 21, "log1p": 21, "lambert": 21, "w": 21, "lambertw": 21, "geometr": 21, "mean": 21, "agm": 21, "q": 22, "pochhamm": 22, "symbol": 22, "qp": 22, "qgamma": 22, "qfac": 22, "qhyper": 22, "radian": 23, "convers": [23, 25], "co": 23, "sin": 23, "tan": 23, "sec": 23, "csc": 23, "cot": 23, "modifi": 23, "cospi": 23, "sinpi": 23, "aco": 23, "asin": 23, "atan": 23, "atan2": 23, "asec": 23, "acsc": 23, "acot": 23, "sinc": 23, "sincpi": 23, "zeta": 24, "l": 24, "polylogarithm": 24, "riemann": 24, "hurwitz": 24, "dirichlet": 24, "altzeta": 24, "stieltj": 24, "zetazero": 24, "nzero": 24, "siegelz": 24, "siegeltheta": 24, "grampoint": 24, "backlund": 24, "lerch": 24, "transcend": 24, "lerchphi": 24, "clausen": 24, "polylog": 24, "clsin": 24, "clco": 24, "polyexp": 24, "variant": 24, "primezeta": 24, "secondzeta": 24, "util": 25, "mpmathifi": 25, "convert": 25, "nstr": 25, "nprint": 25, "oper": [25, 28], "fadd": 25, "fsub": 25, "fneg": 25, "fmul": 25, "fdiv": 25, "fmod": 25, "fsum": 25, "fprod": 25, "fdot": 25, "complex": [25, 29], "compon": 25, "fab": 25, "sign": 25, "re": 25, "im": 25, "arg": 25, "conj": 25, "polar": 25, "rect": 25, "part": 25, "floor": 25, "ceil": 25, "nint": 25, "frac": 25, "toler": [25, 32], "comparison": 25, "chop": 25, "almosteq": 25, "properti": 25, "isinf": 25, "isnan": 25, "isnorm": 25, "isfinit": 25, "isint": 25, "ldexp": 25, "frexp": 25, "mag": 25, "nint_dist": 25, "rand": 25, "arang": 25, "linspac": 25, "manag": 25, "autoprec": 25, "workprec": 25, "workdp": 25, "extraprec": 25, "extradp": 25, "perform": 25, "debug": 25, "memoiz": 25, "maxcal": 25, "monitor": 25, "time": 25, "identif": 26, "recognit": 26, "identifi": 26, "algebra": [26, 28], "findpoli": 26, "pslq": 26, "welcom": 27, "mpmath": [27, 31], "document": [27, 31], "introduct": 27, "featur": 27, "advanc": [27, 28], "end": 27, "matter": 27, "matric": 28, "creat": 28, "method": 28, "vector": 28, "other": 28, "matrix": 28, "norm": 28, "linear": 28, "decomposit": 28, "factor": 28, "singular": 28, "schur": 28, "eigenvalu": 28, "doubl": [28, 32], "plot": 29, "curv": 29, "3d": 29, "surfac": 29, "refer": 30, "up": 31, "download": 31, "instal": 31, "us": 31, "pip": 31, "setuptool": 31, "debian": 31, "ubuntu": 31, "opensus": 31, "current": 31, "develop": 31, "version": 31, "check": 31, "work": 31, "gmpy": 31, "option": 31, "run": 31, "test": 31, "compil": 31, "under": 31, "sage": 31, "represent": 32, "issu": 32, "decim": 32, "guarante": 32, "emul": 32, "further": 32, "read": 32}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 6, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx": 56}})